﻿module("VOICE")

distances = {}

distances.patterns = {
	L"1",
	L"10",
	L"1000_feet-e",
	L"1000_feet-m",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"1_and",
	L"1_point",
	L"2",
	L"20",
	L"200",
	L"2_and",
	L"2_point",
	L"3",
	L"30",
	L"300",
	L"3_and",
	L"3_point",
	L"3_quarters_of_a_mile-e",
	L"3_quarters_of_a_mile-m",
	L"4",
	L"40",
	L"400",
	L"4_and",
	L"4_point",
	L"5",
	L"50",
	L"500",
	L"5_and",
	L"5_point",
	L"6",
	L"60",
	L"600",
	L"6_and",
	L"6_point",
	L"7",
	L"70",
	L"700",
	L"70_me-e",
	L"70_me-m",
	L"70_mi-e",
	L"70_mi-m",
	L"70_y-e",
	L"70_y-m",
	L"7_and",
	L"7_point",
	L"8",
	L"80",
	L"800",
	L"80_me-e",
	L"80_me-m",
	L"80_mi-e",
	L"80_mi-m",
	L"80_y-e",
	L"80_y-m",
	L"8_and",
	L"8_point",
	L"9",
	L"90",
	L"900",
	L"90_me-e",
	L"90_me-m",
	L"90_mi-e",
	L"90_mi-m",
	L"90_y-e",
	L"90_y-m",
	L"9_and",
	L"9_point",
	L"After-100",
	L"After-50",
	L"Drive-50",
	L"Trip-50",
	L"after-1",
	L"after-100",
	L"after-11",
	L"after-18",
	L"after-2",
	L"after-3",
	L"after-4",
	L"after-5",
	L"after-50",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-mi-3q",
	L"after-pt",
	L"after_1_mile-e",
	L"after_1_mile-m",
	L"after_a_quarter_mile-e",
	L"after_a_quarter_mile-m",
	L"after_half_mile-e",
	L"after_half_mile-m",
	L"after_more",
	L"and-10",
	L"and-20",
	L"and-20-me-e",
	L"and-20-me-m",
	L"and-20-mi-e",
	L"and-20-mi-m",
	L"and-20-y-e",
	L"and-20-y-m",
	L"and-30",
	L"and-30-me-e",
	L"and-30-me-m",
	L"and-30-mi-e",
	L"and-30-mi-m",
	L"and-30-y-e",
	L"and-30-y-m",
	L"and-40",
	L"and-40-me-e",
	L"and-40-me-m",
	L"and-40-mi-e",
	L"and-40-mi-m",
	L"and-40-y-e",
	L"and-40-y-m",
	L"and-50",
	L"and-60",
	L"and-70",
	L"and-80",
	L"and-90",
	L"and_20-km-e",
	L"and_20-km-m",
	L"and_20-mi-e",
	L"and_20-mi-m",
	L"and_30-km-e",
	L"and_30-km-m",
	L"and_30-mi-e",
	L"and_30-mi-m",
	L"and_40-km-e",
	L"and_40-km-m",
	L"and_40-mi-e",
	L"and_40-mi-m",
	L"and_50-km-e",
	L"and_50-km-m",
	L"and_50-mi-e",
	L"and_50-mi-m",
	L"and_60-km-e",
	L"and_60-km-m",
	L"and_70-km-e",
	L"and_70-km-m",
	L"and_70-mi-e",
	L"and_70-mi-m",
	L"and_80-km-e",
	L"and_80-km-m",
	L"and_80-mi-e",
	L"and_80-mi-m",
	L"and_90-km-e",
	L"and_90-km-m",
	L"and_90-mi-e",
	L"and_90-mi-m",
	L"drive-1",
	L"drive-100",
	L"drive-11",
	L"drive-18",
	L"drive-2",
	L"drive-3",
	L"drive-4",
	L"drive-5",
	L"drive-50",
	L"drive-6",
	L"drive-7",
	L"drive-8",
	L"drive-9",
	L"drive-mi-3q",
	L"drive-pt",
	L"drive_1_mile-e",
	L"drive_a_quarter_mile-e",
	L"drive_half_mile-e",
	L"drive_more",
	L"feet-100-e",
	L"feet-100-m",
	L"feet-50-e",
	L"feet-50-m",
	L"kilometer-100-e",
	L"kilometer-100-m",
	L"kilometer-e-1",
	L"kilometer-m-1",
	L"kilometers-e-13",
	L"kilometers-e-20",
	L"kilometers-e-30",
	L"kilometers-e-50",
	L"kilometers-m-13",
	L"kilometers-m-2",
	L"kilometers-m-20",
	L"kilometers-m-30",
	L"kilometers-m-50",
	L"meters-100-e",
	L"meters-100-m",
	L"meters-e-10",
	L"meters-e-20",
	L"meters-e-30",
	L"meters-e-50",
	L"meters-m-10",
	L"meters-m-20",
	L"meters-m-30",
	L"meters-m-50",
	L"miles-100-e",
	L"miles-100-m",
	L"miles-e-10",
	L"miles-e-11",
	L"miles-e-12",
	L"miles-e-13",
	L"miles-e-2",
	L"miles-e-20",
	L"miles-e-3",
	L"miles-e-30",
	L"miles-e-4",
	L"miles-e-5",
	L"miles-e-50",
	L"miles-e-6",
	L"miles-e-7",
	L"miles-e-8",
	L"miles-e-9",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_8",
	L"miles-e-pt_9",
	L"miles-m-10",
	L"miles-m-11",
	L"miles-m-12",
	L"miles-m-13",
	L"miles-m-2",
	L"miles-m-20",
	L"miles-m-3",
	L"miles-m-30",
	L"miles-m-4",
	L"miles-m-5",
	L"miles-m-50",
	L"miles-m-6",
	L"miles-m-7",
	L"miles-m-8",
	L"miles-m-9",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"point_1",
	L"point_2",
	L"point_3",
	L"point_4",
	L"point_5",
	L"point_6",
	L"point_7",
	L"point_8",
	L"point_9",
	L"trip-1",
	L"trip-100",
	L"trip-11",
	L"trip-18",
	L"trip-2",
	L"trip-3",
	L"trip-4",
	L"trip-5",
	L"trip-50",
	L"trip-6",
	L"trip-7",
	L"trip-8",
	L"trip-9",
	L"trip-mi-3q",
	L"trip-pt",
	L"trip_1_mile-e",
	L"trip_a_quarter_mile-e",
	L"trip_half_mile-e",
	L"yards-100-e",
	L"yards-100-m",
	L"yards-e-10",
	L"yards-e-20",
	L"yards-e-30",
	L"yards-e-50",
	L"yards-m-10",
	L"yards-m-20",
	L"yards-m-30",
	L"yards-m-50",
}

distances.meters = {
	10, "\84\129\73\0\84\129\69\0\129\35\129\69\0\130\12\129\69\0",
	20, "\84\17\129\74\0\84\129\70\0\129\35\129\70\0\130\12\129\70\0",
	30, "\85\22\129\75\0\85\22\129\71\0\129\36\22\129\71\0\130\13\22\129\71\0",
	40, "\86\29\129\75\0\86\29\129\71\0\129\37\29\129\71\0\130\14\29\129\71\0",
	50, "\88\34\129\76\0\88\34\129\72\0\129\39\34\129\72\0\130\16\34\129\72\0",
	60, "\85\39\129\76\0\85\39\129\72\0\129\36\39\129\72\0\130\13\39\129\72\0",
	70, "\88\47\0\88\46\0\129\39\46\0\130\16\46\0",
	80, "\86\58\0\86\57\0\129\37\57\0\130\14\57\0",
	90, "\88\69\0\88\68\0\78\68\0\79\68\0",
	100, "\81\129\68\0\81\129\67\0\129\32\129\67\0\130\9\129\67\0",
	110, "\81\102\129\73\0\81\102\129\69\0\129\32\102\129\69\0\130\9\102\129\69\0",
	120, "\81\105\0\81\104\0\129\32\104\0\130\9\104\0",
	130, "\81\112\0\81\111\0\129\32\111\0\130\9\111\0",
	140, "\81\119\0\81\118\0\129\32\118\0\130\9\118\0",
	150, "\81\124\129\76\0\81\124\129\72\0\129\32\124\129\72\0\130\9\124\129\72\0",
	160, "\81\125\129\76\0\81\125\129\72\0\129\32\125\129\72\0\130\9\125\129\72\0",
	170, "\81\126\47\0\81\126\46\0\129\32\126\46\0\130\9\126\46\0",
	180, "\81\127\58\0\81\127\57\0\129\32\127\57\0\130\9\127\57\0",
	190, "\81\129\0\69\0\81\129\0\68\0\129\32\129\0\68\0\130\9\129\0\68\0",
	200, "\84\18\129\68\0\84\18\129\67\0\129\35\18\129\67\0\130\12\18\129\67\0",
	210, "\84\18\102\129\73\0\84\18\102\129\69\0\129\35\18\102\129\69\0\130\12\18\102\129\69\0",
	220, "\84\18\105\0\84\18\104\0\129\35\18\104\0\130\12\18\104\0",
	230, "\84\18\112\0\84\18\111\0\129\35\18\111\0\130\12\18\111\0",
	240, "\84\18\119\0\84\18\118\0\129\35\18\118\0\130\12\18\118\0",
	250, "\84\18\124\129\76\0\84\18\124\129\72\0\129\35\18\124\129\72\0\130\12\18\124\129\72\0",
	260, "\84\18\125\129\76\0\84\18\125\129\72\0\129\35\18\125\129\72\0\130\12\18\125\129\72\0",
	270, "\84\18\126\47\0\84\18\126\46\0\129\35\18\126\46\0\130\12\18\126\46\0",
	280, "\84\18\127\58\0\84\18\127\57\0\129\35\18\127\57\0\130\12\18\127\57\0",
	290, "\84\18\129\0\69\0\84\18\129\0\68\0\129\35\18\129\0\68\0\130\12\18\129\0\68\0",
	300, "\85\23\129\68\0\85\23\129\67\0\129\36\23\129\67\0\130\13\23\129\67\0",
	310, "\85\23\102\129\73\0\85\23\102\129\69\0\129\36\23\102\129\69\0\130\13\23\102\129\69\0",
	320, "\85\23\105\0\85\23\104\0\129\36\23\104\0\130\13\23\104\0",
	330, "\85\23\112\0\85\23\111\0\129\36\23\111\0\130\13\23\111\0",
	340, "\85\23\119\0\85\23\118\0\129\36\23\118\0\130\13\23\118\0",
	350, "\85\23\124\129\76\0\85\23\124\129\72\0\129\36\23\124\129\72\0\130\13\23\124\129\72\0",
	360, "\85\23\125\129\76\0\85\23\125\129\72\0\129\36\23\125\129\72\0\130\13\23\125\129\72\0",
	370, "\85\23\126\47\0\85\23\126\46\0\129\36\23\126\46\0\130\13\23\126\46\0",
	380, "\85\23\127\58\0\85\23\127\57\0\129\36\23\127\57\0\130\13\23\127\57\0",
	390, "\85\23\129\0\69\0\85\23\129\0\68\0\129\36\23\129\0\68\0\130\13\23\129\0\68\0",
	400, "\86\30\129\68\0\86\30\129\67\0\129\37\30\129\67\0\130\14\30\129\67\0",
	410, "\86\30\102\129\73\0\86\30\102\129\69\0\129\37\30\102\129\69\0\130\14\30\102\129\69\0",
	420, "\86\30\105\0\86\30\104\0\129\37\30\104\0\130\14\30\104\0",
	430, "\86\30\112\0\86\30\111\0\129\37\30\111\0\130\14\30\111\0",
	440, "\86\30\119\0\86\30\118\0\129\37\30\118\0\130\14\30\118\0",
	450, "\86\30\124\129\76\0\86\30\124\129\72\0\129\37\30\124\129\72\0\130\14\30\124\129\72\0",
	460, "\86\30\125\129\76\0\86\30\125\129\72\0\129\37\30\125\129\72\0\130\14\30\125\129\72\0",
	470, "\86\30\126\47\0\86\30\126\46\0\129\37\30\126\46\0\130\14\30\126\46\0",
	480, "\86\30\127\58\0\86\30\127\57\0\129\37\30\127\57\0\130\14\30\127\57\0",
	490, "\86\30\129\0\69\0\86\30\129\0\68\0\129\37\30\129\0\68\0\130\14\30\129\0\68\0",
	500, "\87\35\129\68\0\87\35\129\67\0\129\38\35\129\67\0\130\15\35\129\67\0",
	510, "\87\35\102\129\73\0\87\35\102\129\69\0\129\38\35\102\129\69\0\130\15\35\102\129\69\0",
	520, "\87\35\105\0\87\35\104\0\129\38\35\104\0\130\15\35\104\0",
	530, "\87\35\112\0\87\35\111\0\129\38\35\111\0\130\15\35\111\0",
	540, "\87\35\119\0\87\35\118\0\129\38\35\118\0\130\15\35\118\0",
	550, "\87\35\124\129\76\0\87\35\124\129\72\0\129\38\35\124\129\72\0\130\15\35\124\129\72\0",
	560, "\87\35\125\129\76\0\87\35\125\129\72\0\129\38\35\125\129\72\0\130\15\35\125\129\72\0",
	570, "\87\35\126\47\0\87\35\126\46\0\129\38\35\126\46\0\130\15\35\126\46\0",
	580, "\87\35\127\58\0\87\35\127\57\0\129\38\35\127\57\0\130\15\35\127\57\0",
	590, "\87\35\129\0\69\0\87\35\129\0\68\0\129\38\35\129\0\68\0\130\15\35\129\0\68\0",
	600, "\89\40\129\68\0\89\40\129\67\0\129\40\40\129\67\0\130\17\40\129\67\0",
	610, "\89\40\102\129\73\0\89\40\102\129\69\0\129\40\40\102\129\69\0\130\17\40\102\129\69\0",
	620, "\89\40\105\0\89\40\104\0\129\40\40\104\0\130\17\40\104\0",
	630, "\89\40\112\0\89\40\111\0\129\40\40\111\0\130\17\40\111\0",
	640, "\89\40\119\0\89\40\118\0\129\40\40\118\0\130\17\40\118\0",
	650, "\89\40\124\129\76\0\89\40\124\129\72\0\129\40\40\124\129\72\0\130\17\40\124\129\72\0",
	660, "\89\40\125\129\76\0\89\40\125\129\72\0\129\40\40\125\129\72\0\130\17\40\125\129\72\0",
	670, "\89\40\126\47\0\89\40\126\46\0\129\40\40\126\46\0\130\17\40\126\46\0",
	680, "\89\40\127\58\0\89\40\127\57\0\129\40\40\127\57\0\130\17\40\127\57\0",
	690, "\89\40\129\0\69\0\89\40\129\0\68\0\129\40\40\129\0\68\0\130\17\40\129\0\68\0",
	700, "\90\45\129\68\0\90\45\129\67\0\129\41\45\129\67\0\130\18\45\129\67\0",
	710, "\90\45\102\129\73\0\90\45\102\129\69\0\129\41\45\102\129\69\0\130\18\45\102\129\69\0",
	720, "\90\45\105\0\90\45\104\0\129\41\45\104\0\130\18\45\104\0",
	730, "\90\45\112\0\90\45\111\0\129\41\45\111\0\130\18\45\111\0",
	740, "\90\45\119\0\90\45\118\0\129\41\45\118\0\130\18\45\118\0",
	750, "\90\45\124\129\76\0\90\45\124\129\72\0\129\41\45\124\129\72\0\130\18\45\124\129\72\0",
	760, "\90\45\125\129\76\0\90\45\125\129\72\0\129\41\45\125\129\72\0\130\18\45\125\129\72\0",
	770, "\90\45\126\47\0\90\45\126\46\0\129\41\45\126\46\0\130\18\45\126\46\0",
	780, "\90\45\127\58\0\90\45\127\57\0\129\41\45\127\57\0\130\18\45\127\57\0",
	790, "\90\45\129\0\69\0\90\45\129\0\68\0\129\41\45\129\0\68\0\130\18\45\129\0\68\0",
	800, "\91\56\129\68\0\91\56\129\67\0\129\42\56\129\67\0\130\19\56\129\67\0",
	810, "\84\18\102\129\73\0\84\18\102\129\69\0\129\35\18\102\129\69\0\130\12\18\102\129\69\0",
	820, "\84\18\105\0\84\18\104\0\129\35\18\104\0\130\12\18\104\0",
	830, "\84\18\112\0\84\18\111\0\129\35\18\111\0\130\12\18\111\0",
	840, "\84\18\119\0\84\18\118\0\129\35\18\118\0\130\12\18\118\0",
	850, "\84\18\124\129\76\0\84\18\124\129\72\0\129\35\18\124\129\72\0\130\12\18\124\129\72\0",
	860, "\84\18\125\129\76\0\84\18\125\129\72\0\129\35\18\125\129\72\0\130\12\18\125\129\72\0",
	870, "\84\18\126\47\0\84\18\126\46\0\129\35\18\126\46\0\130\12\18\126\46\0",
	880, "\84\18\127\58\0\84\18\127\57\0\129\35\18\127\57\0\130\12\18\127\57\0",
	890, "\84\18\129\0\69\0\84\18\129\0\68\0\129\35\18\129\0\68\0\130\12\18\129\0\68\0",
	900, "\92\67\129\68\0\92\67\129\67\0\129\43\67\129\67\0\130\20\67\129\67\0",
	910, "\92\67\102\129\73\0\92\67\102\129\69\0\129\43\67\102\129\69\0\130\20\67\102\129\69\0",
	920, "\92\67\105\0\92\67\104\0\129\43\67\104\0\130\20\67\104\0",
	930, "\92\67\112\0\92\67\111\0\129\43\67\111\0\130\20\67\111\0",
	940, "\92\67\119\0\92\67\118\0\129\43\67\118\0\130\20\67\118\0",
	950, "\92\67\124\129\76\0\92\67\124\129\72\0\129\43\67\124\129\72\0\130\20\67\124\129\72\0",
	960, "\92\67\125\129\76\0\92\67\125\129\72\0\129\43\67\125\129\72\0\130\20\67\125\129\72\0",
	970, "\92\67\126\47\0\92\67\126\46\0\129\43\67\126\46\0\130\20\67\126\46\0",
	980, "\92\67\127\58\0\92\67\127\57\0\129\43\67\127\57\0\130\20\67\127\57\0",
	990, "\92\67\129\0\69\0\92\67\129\0\68\0\129\43\67\129\0\68\0\130\20\67\129\0\68\0",
	1000, "\80\1\129\57\0\80\1\129\56\0\129\31\1\129\56\0\130\8\1\129\56\0",
	1100, "\80\15\129\127\129\57\0\80\15\129\127\129\56\0\129\31\15\129\127\129\56\0\130\8\15\129\127\129\56\0",
	1200, "\80\15\130\0\129\57\0\80\15\130\0\129\56\0\129\31\15\130\0\129\56\0\130\8\15\130\0\129\56\0",
	1300, "\80\15\130\1\129\57\0\80\15\130\1\129\56\0\129\31\15\130\1\129\56\0\130\8\15\130\1\129\56\0",
	1400, "\80\15\130\2\129\57\0\80\15\130\2\129\56\0\129\31\15\130\2\129\56\0\130\8\15\130\2\129\56\0",
	1500, "\80\15\130\3\129\57\0\80\15\130\3\129\56\0\129\31\15\130\3\129\56\0\130\8\15\130\3\129\56\0",
	1600, "\80\15\130\4\129\57\0\80\15\130\4\129\56\0\129\31\15\130\4\129\56\0\130\8\15\130\4\129\56\0",
	1700, "\80\15\130\5\129\57\0\80\15\130\5\129\56\0\129\31\15\130\5\129\56\0\130\8\15\130\5\129\56\0",
	1800, "\80\15\130\6\129\57\0\80\15\130\6\129\56\0\129\31\15\130\6\129\56\0\130\8\15\130\6\129\56\0",
	1900, "\80\15\130\7\129\57\0\80\15\130\7\129\56\0\129\31\15\130\7\129\56\0\130\8\15\130\7\129\56\0",
	2000, "\84\16\129\63\0\84\16\129\56\0\129\35\16\129\56\0\130\12\16\129\56\0",
	2100, "\84\20\129\127\129\57\0\84\20\129\127\129\56\0\129\35\20\129\127\129\56\0\130\12\20\129\127\129\56\0",
	2200, "\84\20\130\0\129\57\0\84\20\130\0\129\56\0\129\35\20\130\0\129\56\0\130\12\20\130\0\129\56\0",
	2300, "\84\20\130\1\129\57\0\84\20\130\1\129\56\0\129\35\20\130\1\129\56\0\130\12\20\130\1\129\56\0",
	2400, "\84\20\130\2\129\57\0\84\20\130\2\129\56\0\129\35\20\130\2\129\56\0\130\12\20\130\2\129\56\0",
	2500, "\84\20\130\3\129\57\0\84\20\130\3\129\56\0\129\35\20\130\3\129\56\0\130\12\20\130\3\129\56\0",
	2600, "\84\20\130\4\129\57\0\84\20\130\4\129\56\0\129\35\20\130\4\129\56\0\130\12\20\130\4\129\56\0",
	2700, "\84\20\130\5\129\57\0\84\20\130\5\129\56\0\129\35\20\130\5\129\56\0\130\12\20\130\5\129\56\0",
	2800, "\84\20\130\6\129\57\0\84\20\130\6\129\56\0\129\35\20\130\6\129\56\0\130\12\20\130\6\129\56\0",
	2900, "\84\20\130\7\129\57\0\84\20\130\7\129\56\0\129\35\20\130\7\129\56\0\130\12\20\130\7\129\56\0",
	3000, "\85\21\129\57\0\85\21\129\56\0\129\36\21\129\56\0\130\13\21\129\56\0",
	3100, "\85\25\129\127\129\57\0\85\25\129\127\129\56\0\129\36\25\129\127\129\56\0\130\13\25\129\127\129\56\0",
	3200, "\85\25\130\0\129\57\0\85\25\130\0\129\56\0\129\36\25\130\0\129\56\0\130\13\25\130\0\129\56\0",
	3300, "\85\25\130\1\129\57\0\85\25\130\1\129\56\0\129\36\25\130\1\129\56\0\130\13\25\130\1\129\56\0",
	3400, "\85\25\130\2\129\57\0\85\25\130\2\129\56\0\129\36\25\130\2\129\56\0\130\13\25\130\2\129\56\0",
	3500, "\85\25\130\3\129\57\0\85\25\130\3\129\56\0\129\36\25\130\3\129\56\0\130\13\25\130\3\129\56\0",
	3600, "\85\25\130\4\129\57\0\85\25\130\4\129\56\0\129\36\25\130\4\129\56\0\130\13\25\130\4\129\56\0",
	3700, "\85\25\130\5\129\57\0\85\25\130\5\129\56\0\129\36\25\130\5\129\56\0\130\13\25\130\5\129\56\0",
	3800, "\85\25\130\6\129\57\0\85\25\130\6\129\56\0\129\36\25\130\6\129\56\0\130\13\25\130\6\129\56\0",
	3900, "\85\25\130\7\129\57\0\85\25\130\7\129\56\0\129\36\25\130\7\129\56\0\130\13\25\130\7\129\56\0",
	4000, "\86\28\129\63\0\86\28\129\56\0\129\37\28\129\56\0\130\14\28\129\56\0",
	4100, "\86\32\129\127\129\57\0\86\32\129\127\129\56\0\129\37\32\129\127\129\56\0\130\14\32\129\127\129\56\0",
	4200, "\86\32\130\0\129\57\0\86\32\130\0\129\56\0\129\37\32\130\0\129\56\0\130\14\32\130\0\129\56\0",
	4300, "\86\32\130\1\129\57\0\86\32\130\1\129\56\0\129\37\32\130\1\129\56\0\130\14\32\130\1\129\56\0",
	4400, "\86\32\130\2\129\57\0\86\32\130\2\129\56\0\129\37\32\130\2\129\56\0\130\14\32\130\2\129\56\0",
	4500, "\86\32\130\3\129\57\0\86\32\130\3\129\56\0\129\37\32\130\3\129\56\0\130\14\32\130\3\129\56\0",
	4600, "\86\32\130\4\129\57\0\86\32\130\4\129\56\0\129\37\32\130\4\129\56\0\130\14\32\130\4\129\56\0",
	4700, "\86\32\130\5\129\57\0\86\32\130\5\129\56\0\129\37\32\130\5\129\56\0\130\14\32\130\5\129\56\0",
	4800, "\86\32\130\6\129\57\0\86\32\130\6\129\56\0\129\37\32\130\6\129\56\0\130\14\32\130\6\129\56\0",
	4900, "\86\32\130\7\129\57\0\86\32\130\7\129\56\0\129\37\32\130\7\129\56\0\130\14\32\130\7\129\56\0",
	5000, "\87\33\129\57\0\87\33\129\56\0\129\38\33\129\56\0\130\15\33\129\56\0",
	5100, "\87\37\129\127\129\57\0\87\37\129\127\129\56\0\129\38\37\129\127\129\56\0\130\15\37\129\127\129\56\0",
	5200, "\87\37\130\0\129\57\0\87\37\130\0\129\56\0\129\38\37\130\0\129\56\0\130\15\37\130\0\129\56\0",
	5300, "\87\37\130\1\129\57\0\87\37\130\1\129\56\0\129\38\37\130\1\129\56\0\130\15\37\130\1\129\56\0",
	5400, "\87\37\130\2\129\57\0\87\37\130\2\129\56\0\129\38\37\130\2\129\56\0\130\15\37\130\2\129\56\0",
	5500, "\87\37\130\3\129\57\0\87\37\130\3\129\56\0\129\38\37\130\3\129\56\0\130\15\37\130\3\129\56\0",
	5600, "\87\37\130\4\129\57\0\87\37\130\4\129\56\0\129\38\37\130\4\129\56\0\130\15\37\130\4\129\56\0",
	5700, "\87\37\130\5\129\57\0\87\37\130\5\129\56\0\129\38\37\130\5\129\56\0\130\15\37\130\5\129\56\0",
	5800, "\87\37\130\6\129\57\0\87\37\130\6\129\56\0\129\38\37\130\6\129\56\0\130\15\37\130\6\129\56\0",
	5900, "\87\37\130\7\129\57\0\87\37\130\7\129\56\0\129\38\37\130\7\129\56\0\130\15\37\130\7\129\56\0",
	6000, "\89\38\129\57\0\89\38\129\56\0\129\40\38\129\56\0\130\17\38\129\56\0",
	6100, "\89\42\129\127\129\57\0\89\42\129\127\129\56\0\129\40\42\129\127\129\56\0\130\17\42\129\127\129\56\0",
	6200, "\89\42\130\0\129\57\0\89\42\130\0\129\56\0\129\40\42\130\0\129\56\0\130\17\42\130\0\129\56\0",
	6300, "\89\42\130\1\129\57\0\89\42\130\1\129\56\0\129\40\42\130\1\129\56\0\130\17\42\130\1\129\56\0",
	6400, "\89\42\130\2\129\57\0\89\42\130\2\129\56\0\129\40\42\130\2\129\56\0\130\17\42\130\2\129\56\0",
	6500, "\89\42\130\3\129\57\0\89\42\130\3\129\56\0\129\40\42\130\3\129\56\0\130\17\42\130\3\129\56\0",
	6600, "\89\42\130\4\129\57\0\89\42\130\4\129\56\0\129\40\42\130\4\129\56\0\130\17\42\130\4\129\56\0",
	6700, "\89\42\130\5\129\57\0\89\42\130\5\129\56\0\129\40\42\130\5\129\56\0\130\17\42\130\5\129\56\0",
	6800, "\89\42\130\6\129\57\0\89\42\130\6\129\56\0\129\40\42\130\6\129\56\0\130\17\42\130\6\129\56\0",
	6900, "\89\42\130\7\129\57\0\89\42\130\7\129\56\0\129\40\42\130\7\129\56\0\130\17\42\130\7\129\56\0",
	7000, "\90\43\129\63\0\90\43\129\56\0\129\41\43\129\56\0\130\18\43\129\56\0",
	7100, "\90\53\129\127\129\57\0\90\53\129\127\129\56\0\129\41\53\129\127\129\56\0\130\18\53\129\127\129\56\0",
	7200, "\90\53\130\0\129\57\0\90\53\130\0\129\56\0\129\41\53\130\0\129\56\0\130\18\53\130\0\129\56\0",
	7300, "\90\53\130\1\129\57\0\90\53\130\1\129\56\0\129\41\53\130\1\129\56\0\130\18\53\130\1\129\56\0",
	7400, "\90\53\130\2\129\57\0\90\53\130\2\129\56\0\129\41\53\130\2\129\56\0\130\18\53\130\2\129\56\0",
	7500, "\90\53\130\3\129\57\0\90\53\130\3\129\56\0\129\41\53\130\3\129\56\0\130\18\53\130\3\129\56\0",
	7600, "\90\53\130\4\129\57\0\90\53\130\4\129\56\0\129\41\53\130\4\129\56\0\130\18\53\130\4\129\56\0",
	7700, "\90\53\130\5\129\57\0\90\53\130\5\129\56\0\129\41\53\130\5\129\56\0\130\18\53\130\5\129\56\0",
	7800, "\90\53\130\6\129\57\0\90\53\130\6\129\56\0\129\41\53\130\6\129\56\0\130\18\53\130\6\129\56\0",
	7900, "\90\53\130\7\129\57\0\90\53\130\7\129\56\0\129\41\53\130\7\129\56\0\130\18\53\130\7\129\56\0",
	8000, "\91\54\129\57\0\91\54\129\56\0\129\42\54\129\56\0\130\19\54\129\56\0",
	8100, "\91\64\129\127\129\57\0\91\64\129\127\129\56\0\129\42\64\129\127\129\56\0\130\19\64\129\127\129\56\0",
	8200, "\91\64\130\0\129\57\0\91\64\130\0\129\56\0\129\42\64\130\0\129\56\0\130\19\64\130\0\129\56\0",
	8300, "\91\64\130\1\129\57\0\91\64\130\1\129\56\0\129\42\64\130\1\129\56\0\130\19\64\130\1\129\56\0",
	8400, "\91\64\130\2\129\57\0\91\64\130\2\129\56\0\129\42\64\130\2\129\56\0\130\19\64\130\2\129\56\0",
	8500, "\91\64\130\3\129\57\0\91\64\130\3\129\56\0\129\42\64\130\3\129\56\0\130\19\64\130\3\129\56\0",
	8600, "\91\64\130\4\129\57\0\91\64\130\4\129\56\0\129\42\64\130\4\129\56\0\130\19\64\130\4\129\56\0",
	8700, "\91\64\130\5\129\57\0\91\64\130\5\129\56\0\129\42\64\130\5\129\56\0\130\19\64\130\5\129\56\0",
	8800, "\91\64\130\6\129\57\0\91\64\130\6\129\56\0\129\42\64\130\6\129\56\0\130\19\64\130\6\129\56\0",
	8900, "\91\64\130\7\129\57\0\91\64\130\7\129\56\0\129\42\64\130\7\129\56\0\130\19\64\130\7\129\56\0",
	9000, "\92\65\129\57\0\92\65\129\56\0\129\43\65\129\56\0\130\20\65\129\56\0",
	9100, "\92\75\129\127\129\57\0\92\75\129\127\129\56\0\129\43\75\129\127\129\56\0\130\20\75\129\127\129\56\0",
	9200, "\92\75\130\0\129\57\0\92\75\130\0\129\56\0\129\43\75\130\0\129\56\0\130\20\75\130\0\129\56\0",
	9300, "\92\75\130\1\129\57\0\92\75\130\1\129\56\0\129\43\75\130\1\129\56\0\130\20\75\130\1\129\56\0",
	9400, "\92\75\130\2\129\57\0\92\75\130\2\129\56\0\129\43\75\130\2\129\56\0\130\20\75\130\2\129\56\0",
	9500, "\92\75\130\3\129\57\0\92\75\130\3\129\56\0\129\43\75\130\3\129\56\0\130\20\75\130\3\129\56\0",
	9600, "\92\75\130\4\129\57\0\92\75\130\4\129\56\0\129\43\75\130\4\129\56\0\130\20\75\130\4\129\56\0",
	9700, "\92\75\130\5\129\57\0\92\75\130\5\129\56\0\129\43\75\130\5\129\56\0\130\20\75\130\5\129\56\0",
	9800, "\92\75\130\6\129\57\0\92\75\130\6\129\56\0\129\43\75\130\6\129\56\0\130\20\75\130\6\129\56\0",
	9900, "\92\75\130\7\129\57\0\92\75\130\7\129\56\0\129\43\75\130\7\129\56\0\130\20\75\130\7\129\56\0",
	10000, "\84\2\129\57\0\84\2\129\56\0\129\35\2\129\56\0\130\12\2\129\56\0",
	11000, "\82\5\129\57\0\82\5\129\56\0\129\33\5\129\56\0\130\10\5\129\56\0",
	12000, "\84\6\129\63\0\84\6\129\56\0\129\35\6\129\56\0\130\12\6\129\56\0",
	13000, "\85\7\129\62\0\85\7\129\58\0\129\36\7\129\58\0\130\13\7\129\58\0",
	14000, "\86\8\129\62\0\86\8\129\58\0\129\37\8\129\58\0\130\14\8\129\58\0",
	15000, "\87\9\129\62\0\87\9\129\58\0\129\38\9\129\58\0\130\15\9\129\58\0",
	16000, "\89\10\129\62\0\89\10\129\58\0\129\40\10\129\58\0\130\17\10\129\58\0",
	17000, "\90\11\129\62\0\90\11\129\58\0\129\41\11\129\58\0\130\18\11\129\58\0",
	18000, "\83\12\129\62\0\83\12\129\58\0\129\34\12\129\58\0\130\11\12\129\58\0",
	19000, "\92\13\129\62\0\92\13\129\58\0\129\43\13\129\58\0\130\20\13\129\58\0",
	20000, "\84\17\129\64\0\84\129\59\0\129\35\129\59\0\130\12\129\59\0",
	21000, "\80\14\129\2\0\80\14\129\1\0\129\31\14\129\1\0\130\8\14\129\1\0",
	22000, "\84\19\129\2\0\84\19\129\1\0\129\35\19\129\1\0\130\12\19\129\1\0",
	23000, "\85\24\129\2\0\85\24\129\1\0\129\36\24\129\1\0\130\13\24\129\1\0",
	24000, "\86\31\129\2\0\86\31\129\1\0\129\37\31\129\1\0\130\14\31\129\1\0",
	25000, "\87\36\129\2\0\87\36\129\1\0\129\38\36\129\1\0\130\15\36\129\1\0",
	26000, "\89\41\129\2\0\89\41\129\1\0\129\40\41\129\1\0\130\17\41\129\1\0",
	27000, "\90\52\129\2\0\90\52\129\1\0\129\41\52\129\1\0\130\18\52\129\1\0",
	28000, "\91\63\129\2\0\91\63\129\1\0\129\42\63\129\1\0\130\19\63\129\1\0",
	29000, "\92\74\129\2\0\92\74\129\1\0\129\43\74\129\1\0\130\20\74\129\1\0",
	30000, "\85\22\129\65\0\85\22\129\60\0\129\36\22\129\60\0\130\13\22\129\60\0",
	31000, "\80\14\129\6\0\80\14\129\5\0\129\31\14\129\5\0\130\8\14\129\5\0",
	32000, "\84\19\129\6\0\84\19\129\5\0\129\35\19\129\5\0\130\12\19\129\5\0",
	33000, "\85\24\129\6\0\85\24\129\5\0\129\36\24\129\5\0\130\13\24\129\5\0",
	34000, "\86\31\129\6\0\86\31\129\5\0\129\37\31\129\5\0\130\14\31\129\5\0",
	35000, "\87\36\129\6\0\87\36\129\5\0\129\38\36\129\5\0\130\15\36\129\5\0",
	36000, "\89\41\129\6\0\89\41\129\5\0\129\40\41\129\5\0\130\17\41\129\5\0",
	37000, "\90\52\129\6\0\90\52\129\5\0\129\41\52\129\5\0\130\18\52\129\5\0",
	38000, "\91\63\129\6\0\91\63\129\5\0\129\42\63\129\5\0\130\19\63\129\5\0",
	39000, "\92\74\129\6\0\92\74\129\5\0\129\43\74\129\5\0\130\20\74\129\5\0",
	40000, "\86\29\129\65\0\86\29\129\60\0\129\37\29\129\60\0\130\14\29\129\60\0",
	41000, "\80\14\129\10\0\80\14\129\9\0\129\31\14\129\9\0\130\8\14\129\9\0",
	42000, "\84\19\129\10\0\84\19\129\9\0\129\35\19\129\9\0\130\12\19\129\9\0",
	43000, "\85\24\129\10\0\85\24\129\9\0\129\36\24\129\9\0\130\13\24\129\9\0",
	44000, "\86\31\129\10\0\86\31\129\9\0\129\37\31\129\9\0\130\14\31\129\9\0",
	45000, "\87\36\129\10\0\87\36\129\9\0\129\38\36\129\9\0\130\15\36\129\9\0",
	46000, "\89\41\129\10\0\89\41\129\9\0\129\40\41\129\9\0\130\17\41\129\9\0",
	47000, "\90\52\129\10\0\90\52\129\9\0\129\41\52\129\9\0\130\18\52\129\9\0",
	48000, "\91\63\129\10\0\91\63\129\9\0\129\42\63\129\9\0\130\19\63\129\9\0",
	49000, "\92\74\129\10\0\92\74\129\9\0\129\43\74\129\9\0\130\20\74\129\9\0",
	50000, "\88\34\129\66\0\88\34\129\61\0\129\39\34\129\61\0\130\16\34\129\61\0",
	51000, "\80\14\129\14\0\80\14\129\13\0\129\31\14\129\13\0\130\8\14\129\13\0",
	52000, "\84\19\129\14\0\84\19\129\13\0\129\35\19\129\13\0\130\12\19\129\13\0",
	53000, "\85\24\129\14\0\85\24\129\13\0\129\36\24\129\13\0\130\13\24\129\13\0",
	54000, "\86\31\129\14\0\86\31\129\13\0\129\37\31\129\13\0\130\14\31\129\13\0",
	55000, "\87\36\129\14\0\87\36\129\13\0\129\38\36\129\13\0\130\15\36\129\13\0",
	56000, "\89\41\129\14\0\89\41\129\13\0\129\40\41\129\13\0\130\17\41\129\13\0",
	57000, "\90\52\129\14\0\90\52\129\13\0\129\41\52\129\13\0\130\18\52\129\13\0",
	58000, "\91\63\129\14\0\91\63\129\13\0\129\42\63\129\13\0\130\19\63\129\13\0",
	59000, "\92\74\129\14\0\92\74\129\13\0\129\43\74\129\13\0\130\20\74\129\13\0",
	60000, "\85\39\129\66\0\85\39\129\61\0\129\36\39\129\61\0\130\13\39\129\61\0",
	61000, "\80\14\129\18\0\80\14\129\17\0\129\31\14\129\17\0\130\8\14\129\17\0",
	62000, "\84\19\129\18\0\84\19\129\17\0\129\35\19\129\17\0\130\12\19\129\17\0",
	63000, "\85\24\129\18\0\85\24\129\17\0\129\36\24\129\17\0\130\13\24\129\17\0",
	64000, "\86\31\129\18\0\86\31\129\17\0\129\37\31\129\17\0\130\14\31\129\17\0",
	65000, "\87\36\129\18\0\87\36\129\17\0\129\38\36\129\17\0\130\15\36\129\17\0",
	66000, "\89\41\129\18\0\89\41\129\17\0\129\40\41\129\17\0\130\17\41\129\17\0",
	67000, "\90\52\129\18\0\90\52\129\17\0\129\41\52\129\17\0\130\18\52\129\17\0",
	68000, "\91\63\129\18\0\91\63\129\17\0\129\42\63\129\17\0\130\19\63\129\17\0",
	69000, "\92\74\129\18\0\92\74\129\17\0\129\43\74\129\17\0\130\20\74\129\17\0",
	70000, "\88\44\129\57\0\88\44\129\56\0\129\39\44\129\57\0\130\16\44\129\57\0",
	71000, "\80\14\129\20\0\80\14\129\19\0\129\31\14\129\19\0\130\8\14\129\19\0",
	72000, "\84\19\129\20\0\84\19\129\19\0\129\35\19\129\19\0\130\12\19\129\19\0",
	73000, "\85\24\129\20\0\85\24\129\19\0\129\36\24\129\19\0\130\13\24\129\19\0",
	74000, "\86\31\129\20\0\86\31\129\19\0\129\37\31\129\19\0\130\14\31\129\19\0",
	75000, "\87\36\129\20\0\87\36\129\19\0\129\38\36\129\19\0\130\15\36\129\19\0",
	76000, "\89\41\129\20\0\89\41\129\19\0\129\40\41\129\19\0\130\17\41\129\19\0",
	77000, "\90\52\129\20\0\90\52\129\19\0\129\41\52\129\19\0\130\18\52\129\19\0",
	78000, "\91\63\129\20\0\91\63\129\19\0\129\42\63\129\19\0\130\19\63\129\19\0",
	79000, "\92\74\129\20\0\92\74\129\19\0\129\43\74\129\19\0\130\20\74\129\19\0",
	80000, "\86\55\129\57\0\86\55\129\56\0\129\37\55\129\56\0\130\14\55\129\56\0",
	81000, "\80\14\129\24\0\80\14\129\23\0\129\31\14\129\23\0\130\8\14\129\23\0",
	82000, "\84\19\129\24\0\84\19\129\23\0\129\35\19\129\23\0\130\12\19\129\23\0",
	83000, "\85\24\129\24\0\85\24\129\23\0\129\36\24\129\23\0\130\13\24\129\23\0",
	84000, "\86\31\129\24\0\86\31\129\23\0\129\37\31\129\23\0\130\14\31\129\23\0",
	85000, "\87\36\129\24\0\87\36\129\23\0\129\38\36\129\23\0\130\15\36\129\23\0",
	86000, "\89\41\129\24\0\89\41\129\23\0\129\40\41\129\23\0\130\17\41\129\23\0",
	87000, "\90\52\129\24\0\90\52\129\23\0\129\41\52\129\23\0\130\18\52\129\23\0",
	88000, "\91\63\129\24\0\91\63\129\23\0\129\42\63\129\23\0\130\19\63\129\23\0",
	89000, "\92\74\129\24\0\92\74\129\23\0\129\43\74\129\23\0\130\20\74\129\23\0",
	90000, "\88\66\129\57\0\88\66\129\56\0\78\66\129\56\0\79\66\129\56\0",
	91000, "\80\14\129\28\0\80\14\129\27\0\129\31\14\129\27\0\130\8\14\129\27\0",
	92000, "\84\19\129\28\0\84\19\129\27\0\129\35\19\129\27\0\130\12\19\129\27\0",
	93000, "\85\24\129\28\0\85\24\129\27\0\129\36\24\129\27\0\130\13\24\129\27\0",
	94000, "\86\31\129\28\0\86\31\129\27\0\129\37\31\129\27\0\130\14\31\129\27\0",
	95000, "\87\36\129\28\0\87\36\129\27\0\129\38\36\129\27\0\130\15\36\129\27\0",
	96000, "\89\41\129\28\0\89\41\129\27\0\129\40\41\129\27\0\130\17\41\129\27\0",
	97000, "\90\52\129\28\0\90\52\129\27\0\129\41\52\129\27\0\130\18\52\129\27\0",
	98000, "\91\63\129\28\0\91\63\129\27\0\129\42\63\129\27\0\130\19\63\129\27\0",
	99000, "\92\74\129\28\0\92\74\129\27\0\129\43\74\129\27\0\130\20\74\129\27\0",
	100000, "\81\129\55\0\81\129\54\0\129\32\129\54\0\130\9\129\54\0",
	110000, "\81\102\2\129\57\0\81\102\2\129\56\0\129\32\102\2\129\56\0\130\9\102\2\129\56\0",
	120000, "\81\103\129\57\0\81\103\129\56\0\129\32\103\129\56\0\130\9\103\129\56\0",
	130000, "\81\110\129\57\0\81\110\129\56\0\129\32\110\129\56\0\130\9\110\129\56\0",
	140000, "\81\117\129\57\0\81\117\129\56\0\129\32\117\129\56\0\130\9\117\129\56\0",
	150000, "\81\124\129\66\0\81\124\129\61\0\129\32\124\129\61\0\130\9\124\129\61\0",
	160000, "\81\125\129\66\0\81\125\129\61\0\129\32\125\129\61\0\130\9\125\129\61\0",
	170000, "\81\126\44\129\57\0\81\126\44\129\56\0\129\32\126\44\129\56\0\130\9\126\44\129\56\0",
	180000, "\81\127\55\129\57\0\81\127\55\129\56\0\129\32\127\55\129\56\0\130\9\127\55\129\56\0",
	190000, "\81\129\0\66\129\57\0\81\129\0\66\129\56\0\129\32\129\0\66\129\56\0\130\9\129\0\66\129\56\0",
	200000, "\84\18\129\55\0\84\18\129\54\0\129\35\18\129\54\0\130\12\18\129\54\0",
	210000, "\84\18\102\2\129\57\0\84\18\102\2\129\56\0\129\35\18\102\2\129\56\0\130\12\18\102\2\129\56\0",
	220000, "\84\18\103\129\57\0\84\18\103\129\56\0\129\35\18\103\129\56\0\130\12\18\103\129\56\0",
	230000, "\84\18\110\129\57\0\84\18\110\129\56\0\129\35\18\110\129\56\0\130\12\18\110\129\56\0",
	240000, "\84\18\117\129\57\0\84\18\117\129\56\0\129\35\18\117\129\56\0\130\12\18\117\129\56\0",
	250000, "\84\18\124\129\66\0\84\18\124\129\61\0\129\35\18\124\129\61\0\130\12\18\124\129\61\0",
	260000, "\84\18\125\129\66\0\84\18\125\129\61\0\129\35\18\125\129\61\0\130\12\18\125\129\61\0",
	270000, "\84\18\126\44\129\57\0\84\18\126\44\129\56\0\129\35\18\126\44\129\56\0\130\12\18\126\44\129\56\0",
	280000, "\84\18\127\55\129\57\0\84\18\127\55\129\56\0\129\35\18\127\55\129\56\0\130\12\18\127\55\129\56\0",
	290000, "\84\18\129\0\66\129\57\0\84\18\129\0\66\129\56\0\129\35\18\129\0\66\129\56\0\130\12\18\129\0\66\129\56\0",
	300000, "\85\23\129\55\0\85\23\129\54\0\129\36\23\129\54\0\130\13\23\129\54\0",
	310000, "\85\23\102\2\129\57\0\85\23\102\2\129\56\0\129\36\23\102\2\129\56\0\130\13\23\102\2\129\56\0",
	320000, "\85\23\103\129\57\0\85\23\103\129\56\0\129\36\23\103\129\56\0\130\13\23\103\129\56\0",
	330000, "\85\23\110\129\57\0\85\23\110\129\56\0\129\36\23\110\129\56\0\130\13\23\110\129\56\0",
	340000, "\85\23\117\129\57\0\85\23\117\129\56\0\129\36\23\117\129\56\0\130\13\23\117\129\56\0",
	350000, "\85\23\124\129\66\0\85\23\124\129\61\0\129\36\23\124\129\61\0\130\13\23\124\129\61\0",
	360000, "\85\23\125\129\66\0\85\23\125\129\61\0\129\36\23\125\129\61\0\130\13\23\125\129\61\0",
	370000, "\85\23\126\44\129\57\0\85\23\126\44\129\56\0\129\36\23\126\44\129\56\0\130\13\23\126\44\129\56\0",
	380000, "\85\23\127\55\129\57\0\85\23\127\55\129\56\0\129\36\23\127\55\129\56\0\130\13\23\127\55\129\56\0",
	390000, "\85\23\129\0\66\129\57\0\85\23\129\0\66\129\56\0\129\36\23\129\0\66\129\56\0\130\13\23\129\0\66\129\56\0",
	400000, "\86\30\129\55\0\86\30\129\54\0\129\37\30\129\54\0\130\14\30\129\54\0",
	410000, "\86\30\102\2\129\57\0\86\30\102\2\129\56\0\129\37\30\102\2\129\56\0\130\14\30\102\2\129\56\0",
	420000, "\86\30\103\129\57\0\86\30\103\129\56\0\129\37\30\103\129\56\0\130\14\30\103\129\56\0",
	430000, "\86\30\110\129\57\0\86\30\110\129\56\0\129\37\30\110\129\56\0\130\14\30\110\129\56\0",
	440000, "\86\30\117\129\57\0\86\30\117\129\56\0\129\37\30\117\129\56\0\130\14\30\117\129\56\0",
	450000, "\86\30\124\129\66\0\86\30\124\129\61\0\129\37\30\124\129\61\0\130\14\30\124\129\61\0",
	460000, "\86\30\125\129\66\0\86\30\125\129\61\0\129\37\30\125\129\61\0\130\14\30\125\129\61\0",
	470000, "\86\30\126\44\129\57\0\86\30\126\44\129\56\0\129\37\30\126\44\129\56\0\130\14\30\126\44\129\56\0",
	480000, "\86\30\127\55\129\57\0\86\30\127\55\129\56\0\129\37\30\127\55\129\56\0\130\14\30\127\55\129\56\0",
	490000, "\86\30\129\0\66\129\57\0\86\30\129\0\66\129\56\0\129\37\30\129\0\66\129\56\0\130\14\30\129\0\66\129\56\0",
	500000, "\87\35\129\55\0\87\35\129\54\0\129\38\35\129\54\0\130\15\35\129\54\0",
	510000, "\101\35\129\55\0\101\35\129\54\0\129\49\35\129\54\0\130\15\35\129\54\0",
}

distances.feet = {
	15, "\88\129\53\0\88\129\52\0\129\39\129\52\0\130\16\129\52\0",
	30, "\81\129\51\0\81\129\50\0\129\32\129\50\0\130\9\129\50\0",
	46, "\81\124\129\53\0\81\124\129\52\0\129\32\124\129\52\0\130\9\124\129\52\0",
	61, "\84\18\129\51\0\84\18\129\50\0\129\35\18\129\50\0\130\12\18\129\50\0",
	91, "\85\23\129\51\0\85\23\129\50\0\129\36\23\129\50\0\130\13\23\129\50\0",
	122, "\86\30\129\51\0\86\30\129\50\0\129\37\30\129\50\0\130\14\30\129\50\0",
	152, "\87\35\129\51\0\87\35\129\50\0\129\38\35\129\50\0\130\15\35\129\50\0",
	183, "\89\40\129\51\0\89\40\129\50\0\129\40\40\129\50\0\130\17\40\129\50\0",
	213, "\90\45\129\51\0\90\45\129\50\0\129\41\45\129\50\0\130\18\45\129\50\0",
	244, "\91\56\129\51\0\91\56\129\50\0\129\42\56\129\50\0\130\19\56\129\50\0",
	274, "\92\67\129\51\0\92\67\129\50\0\129\43\67\129\50\0\130\20\67\129\50\0",
	305, "\80\4\0\80\3\0\129\31\3\0\130\8\3\0",
	402, "\98\0\97\0\129\47\0\130\24\0",
	644, "\94\129\121\0\94\129\97\0\129\45\129\97\0\130\22\129\97\0",
	805, "\100\0\99\0\129\48\0\130\25\0",
	966, "\94\129\123\0\94\129\99\0\129\45\129\99\0\130\22\129\99\0",
	1127, "\93\27\0\93\26\0\129\44\26\0\130\21\26\0",
	1448, "\94\129\126\0\94\129\102\0\129\45\129\102\0\130\22\129\102\0",
	1609, "\96\0\95\0\129\46\0\130\23\0",
	1770, "\80\15\129\118\0\80\15\129\94\0\129\31\15\129\94\0\130\8\15\129\94\0",
	1931, "\80\15\129\119\0\80\15\129\95\0\129\31\15\129\95\0\130\8\15\129\95\0",
	2092, "\80\15\129\120\0\80\15\129\96\0\129\31\15\129\96\0\130\8\15\129\96\0",
	2253, "\80\15\129\121\0\80\15\129\97\0\129\31\15\129\97\0\130\8\15\129\97\0",
	2414, "\80\15\129\122\0\80\15\129\98\0\129\31\15\129\98\0\130\8\15\129\98\0",
	2575, "\80\15\129\123\0\80\15\129\99\0\129\31\15\129\99\0\130\8\15\129\99\0",
	2736, "\80\15\129\124\0\80\15\129\100\0\129\31\15\129\100\0\130\8\15\129\100\0",
	2897, "\80\15\129\125\0\80\15\129\101\0\129\31\15\129\101\0\130\8\15\129\101\0",
	3058, "\80\15\129\126\0\80\15\129\102\0\129\31\15\129\102\0\130\8\15\129\102\0",
	3219, "\84\129\107\0\84\129\83\0\129\35\129\83\0\130\12\129\83\0",
	3380, "\84\20\129\118\0\84\20\129\94\0\129\35\20\129\94\0\130\12\20\129\94\0",
	3541, "\84\20\129\119\0\84\20\129\95\0\129\35\20\129\95\0\130\12\20\129\95\0",
	3701, "\84\20\129\120\0\84\20\129\96\0\129\35\20\129\96\0\130\12\20\129\96\0",
	3862, "\84\20\129\121\0\84\20\129\97\0\129\35\20\129\97\0\130\12\20\129\97\0",
	4023, "\84\20\129\122\0\84\20\129\98\0\129\35\20\129\98\0\130\12\20\129\98\0",
	4184, "\84\20\129\123\0\84\20\129\99\0\129\35\20\129\99\0\130\12\20\129\99\0",
	4345, "\84\20\129\124\0\84\20\129\100\0\129\35\20\129\100\0\130\12\20\129\100\0",
	4506, "\84\20\129\125\0\84\20\129\101\0\129\35\20\129\101\0\130\12\20\129\101\0",
	4667, "\84\20\129\126\0\84\20\129\102\0\129\35\20\129\102\0\130\12\20\129\102\0",
	4828, "\85\129\109\0\85\129\85\0\129\36\129\85\0\130\13\129\85\0",
	4989, "\85\25\129\118\0\85\25\129\94\0\129\36\25\129\94\0\130\13\25\129\94\0",
	5150, "\85\25\129\119\0\85\25\129\95\0\129\36\25\129\95\0\130\13\25\129\95\0",
	5311, "\85\25\129\120\0\85\25\129\96\0\129\36\25\129\96\0\130\13\25\129\96\0",
	5472, "\85\25\129\121\0\85\25\129\97\0\129\36\25\129\97\0\130\13\25\129\97\0",
	5633, "\85\25\129\122\0\85\25\129\98\0\129\36\25\129\98\0\130\13\25\129\98\0",
	5794, "\85\25\129\123\0\85\25\129\99\0\129\36\25\129\99\0\130\13\25\129\99\0",
	5955, "\85\25\129\124\0\85\25\129\100\0\129\36\25\129\100\0\130\13\25\129\100\0",
	6116, "\85\25\129\125\0\85\25\129\101\0\129\36\25\129\101\0\130\13\25\129\101\0",
	6276, "\85\25\129\126\0\85\25\129\102\0\129\36\25\129\102\0\130\13\25\129\102\0",
	6437, "\86\129\111\0\86\129\87\0\129\37\129\87\0\130\14\129\87\0",
	6598, "\86\32\129\118\0\86\32\129\94\0\129\37\32\129\94\0\130\14\32\129\94\0",
	6759, "\86\32\129\119\0\86\32\129\95\0\129\37\32\129\95\0\130\14\32\129\95\0",
	6920, "\86\32\129\120\0\86\32\129\96\0\129\37\32\129\96\0\130\14\32\129\96\0",
	7081, "\86\32\129\121\0\86\32\129\97\0\129\37\32\129\97\0\130\14\32\129\97\0",
	7242, "\86\32\129\122\0\86\32\129\98\0\129\37\32\129\98\0\130\14\32\129\98\0",
	7403, "\86\32\129\123\0\86\32\129\99\0\129\37\32\129\99\0\130\14\32\129\99\0",
	7564, "\86\32\129\124\0\86\32\129\100\0\129\37\32\129\100\0\130\14\32\129\100\0",
	7725, "\86\32\129\125\0\86\32\129\101\0\129\37\32\129\101\0\130\14\32\129\101\0",
	7886, "\86\32\129\126\0\86\32\129\102\0\129\37\32\129\102\0\130\14\32\129\102\0",
	8047, "\87\129\112\0\87\129\88\0\129\38\129\88\0\130\15\129\88\0",
	8208, "\87\37\129\118\0\87\37\129\94\0\129\38\37\129\94\0\130\15\37\129\94\0",
	8369, "\87\37\129\119\0\87\37\129\95\0\129\38\37\129\95\0\130\15\37\129\95\0",
	8530, "\87\37\129\120\0\87\37\129\96\0\129\38\37\129\96\0\130\15\37\129\96\0",
	8690, "\87\37\129\121\0\87\37\129\97\0\129\38\37\129\97\0\130\15\37\129\97\0",
	8851, "\87\37\129\122\0\87\37\129\98\0\129\38\37\129\98\0\130\15\37\129\98\0",
	9012, "\87\37\129\123\0\87\37\129\99\0\129\38\37\129\99\0\130\15\37\129\99\0",
	9173, "\87\37\129\124\0\87\37\129\100\0\129\38\37\129\100\0\130\15\37\129\100\0",
	9334, "\87\37\129\125\0\87\37\129\101\0\129\38\37\129\101\0\130\15\37\129\101\0",
	9495, "\87\37\129\126\0\87\37\129\102\0\129\38\37\129\102\0\130\15\37\129\102\0",
	9656, "\89\129\114\0\89\129\90\0\129\40\129\90\0\130\17\129\90\0",
	9817, "\89\42\129\118\0\89\42\129\94\0\129\40\42\129\94\0\130\17\42\129\94\0",
	9978, "\89\42\129\119\0\89\42\129\95\0\129\40\42\129\95\0\130\17\42\129\95\0",
	10139, "\89\42\129\120\0\89\42\129\96\0\129\40\42\129\96\0\130\17\42\129\96\0",
	10300, "\89\42\129\121\0\89\42\129\97\0\129\40\42\129\97\0\130\17\42\129\97\0",
	10461, "\89\42\129\122\0\89\42\129\98\0\129\40\42\129\98\0\130\17\42\129\98\0",
	10622, "\89\42\129\123\0\89\42\129\99\0\129\40\42\129\99\0\130\17\42\129\99\0",
	10783, "\89\42\129\124\0\89\42\129\100\0\129\40\42\129\100\0\130\17\42\129\100\0",
	10944, "\89\42\129\125\0\89\42\129\101\0\129\40\42\129\101\0\130\17\42\129\101\0",
	11104, "\89\42\129\126\0\89\42\129\102\0\129\40\42\129\102\0\130\17\42\129\102\0",
	11265, "\90\129\115\0\90\129\91\0\129\41\129\91\0\130\18\129\91\0",
	11426, "\90\53\129\118\0\90\53\129\94\0\129\41\53\129\94\0\130\18\53\129\94\0",
	11587, "\90\53\129\119\0\90\53\129\95\0\129\41\53\129\95\0\130\18\53\129\95\0",
	11748, "\90\53\129\120\0\90\53\129\96\0\129\41\53\129\96\0\130\18\53\129\96\0",
	11909, "\90\53\129\121\0\90\53\129\97\0\129\41\53\129\97\0\130\18\53\129\97\0",
	12070, "\90\53\129\122\0\90\53\129\98\0\129\41\53\129\98\0\130\18\53\129\98\0",
	12231, "\90\53\129\123\0\90\53\129\99\0\129\41\53\129\99\0\130\18\53\129\99\0",
	12392, "\90\53\129\124\0\90\53\129\100\0\129\41\53\129\100\0\130\18\53\129\100\0",
	12553, "\90\53\129\125\0\90\53\129\101\0\129\41\53\129\101\0\130\18\53\129\101\0",
	12714, "\90\53\129\126\0\90\53\129\102\0\129\41\53\129\102\0\130\18\53\129\102\0",
	12875, "\91\129\116\0\91\129\92\0\129\42\129\92\0\130\19\129\92\0",
	13036, "\91\64\129\118\0\91\64\129\94\0\129\42\64\129\94\0\130\19\64\129\94\0",
	13197, "\91\64\129\119\0\91\64\129\95\0\129\42\64\129\95\0\130\19\64\129\95\0",
	13358, "\91\64\129\120\0\91\64\129\96\0\129\42\64\129\96\0\130\19\64\129\96\0",
	13518, "\91\64\129\121\0\91\64\129\97\0\129\42\64\129\97\0\130\19\64\129\97\0",
	13679, "\91\64\129\122\0\91\64\129\98\0\129\42\64\129\98\0\130\19\64\129\98\0",
	13840, "\91\64\129\123\0\91\64\129\99\0\129\42\64\129\99\0\130\19\64\129\99\0",
	14001, "\91\64\129\124\0\91\64\129\100\0\129\42\64\129\100\0\130\19\64\129\100\0",
	14162, "\91\64\129\125\0\91\64\129\101\0\129\42\64\129\101\0\130\19\64\129\101\0",
	14323, "\91\64\129\126\0\91\64\129\102\0\129\42\64\129\102\0\130\19\64\129\102\0",
	14484, "\92\129\117\0\92\129\93\0\129\43\129\93\0\130\20\129\93\0",
	14645, "\92\75\129\118\0\92\75\129\94\0\129\43\75\129\94\0\130\20\75\129\94\0",
	14806, "\92\75\129\119\0\92\75\129\95\0\129\43\75\129\95\0\130\20\75\129\95\0",
	14967, "\92\75\129\120\0\92\75\129\96\0\129\43\75\129\96\0\130\20\75\129\96\0",
	15128, "\92\75\129\121\0\92\75\129\97\0\129\43\75\129\97\0\130\20\75\129\97\0",
	15289, "\92\75\129\122\0\92\75\129\98\0\129\43\75\129\98\0\130\20\75\129\98\0",
	15450, "\92\75\129\123\0\92\75\129\99\0\129\43\75\129\99\0\130\20\75\129\99\0",
	15611, "\92\75\129\124\0\92\75\129\100\0\129\43\75\129\100\0\130\20\75\129\100\0",
	15772, "\92\75\129\125\0\92\75\129\101\0\129\43\75\129\101\0\130\20\75\129\101\0",
	15933, "\92\75\129\126\0\92\75\129\102\0\129\43\75\129\102\0\130\20\75\129\102\0",
	16093, "\84\129\103\0\84\129\79\0\129\35\129\79\0\130\12\129\79\0",
	17703, "\82\129\104\0\82\129\80\0\129\33\129\80\0\130\10\129\80\0",
	19312, "\84\129\105\0\84\129\81\0\129\35\129\81\0\130\12\129\81\0",
	20921, "\85\7\129\106\0\85\7\129\82\0\129\36\7\129\82\0\130\13\7\129\82\0",
	22531, "\86\8\129\106\0\86\8\129\82\0\129\37\8\129\82\0\130\14\8\129\82\0",
	24140, "\87\9\129\106\0\87\9\129\82\0\129\38\9\129\82\0\130\15\9\129\82\0",
	25750, "\89\10\129\106\0\89\10\129\82\0\129\40\10\129\82\0\130\17\10\129\82\0",
	27359, "\90\11\129\106\0\90\11\129\82\0\129\41\11\129\82\0\130\18\11\129\82\0",
	28968, "\83\12\129\106\0\83\12\129\82\0\129\34\12\129\82\0\130\11\12\129\82\0",
	30578, "\92\13\129\106\0\92\13\129\82\0\129\43\13\129\82\0\130\20\13\129\82\0",
	32187, "\84\17\129\108\0\84\129\84\0\129\35\129\84\0\130\12\129\84\0",
	33796, "\80\14\129\4\0\80\14\129\3\0\129\31\14\129\3\0\130\8\14\129\3\0",
	35406, "\84\19\129\4\0\84\19\129\3\0\129\35\19\129\3\0\130\12\19\129\3\0",
	37015, "\85\24\129\4\0\85\24\129\3\0\129\36\24\129\3\0\130\13\24\129\3\0",
	38624, "\86\31\129\4\0\86\31\129\3\0\129\37\31\129\3\0\130\14\31\129\3\0",
	40234, "\87\36\129\4\0\87\36\129\3\0\129\38\36\129\3\0\130\15\36\129\3\0",
	41843, "\89\41\129\4\0\89\41\129\3\0\129\40\41\129\3\0\130\17\41\129\3\0",
	43452, "\90\52\129\4\0\90\52\129\3\0\129\41\52\129\3\0\130\18\52\129\3\0",
	45062, "\91\63\129\4\0\91\63\129\3\0\129\42\63\129\3\0\130\19\63\129\3\0",
	46671, "\92\74\129\4\0\92\74\129\3\0\129\43\74\129\3\0\130\20\74\129\3\0",
	48280, "\85\22\129\110\0\85\22\129\86\0\129\36\22\129\86\0\130\13\22\129\86\0",
	49890, "\80\14\129\8\0\80\14\129\7\0\129\31\14\129\7\0\130\8\14\129\7\0",
	51499, "\84\19\129\8\0\84\19\129\7\0\129\35\19\129\7\0\130\12\19\129\7\0",
	53108, "\85\24\129\8\0\85\24\129\7\0\129\36\24\129\7\0\130\13\24\129\7\0",
	54718, "\86\31\129\8\0\86\31\129\7\0\129\37\31\129\7\0\130\14\31\129\7\0",
	56327, "\87\36\129\8\0\87\36\129\7\0\129\38\36\129\7\0\130\15\36\129\7\0",
	57936, "\89\41\129\8\0\89\41\129\7\0\129\40\41\129\7\0\130\17\41\129\7\0",
	59546, "\90\52\129\8\0\90\52\129\7\0\129\41\52\129\7\0\130\18\52\129\7\0",
	61155, "\91\63\129\8\0\91\63\129\7\0\129\42\63\129\7\0\130\19\63\129\7\0",
	62764, "\92\74\129\8\0\92\74\129\7\0\129\43\74\129\7\0\130\20\74\129\7\0",
	64374, "\86\29\129\110\0\86\29\129\86\0\129\37\29\129\86\0\130\14\29\129\86\0",
	65983, "\80\14\129\12\0\80\14\129\11\0\129\31\14\129\11\0\130\8\14\129\11\0",
	67592, "\84\19\129\12\0\84\19\129\11\0\129\35\19\129\11\0\130\12\19\129\11\0",
	69202, "\85\24\129\12\0\85\24\129\11\0\129\36\24\129\11\0\130\13\24\129\11\0",
	70811, "\86\31\129\12\0\86\31\129\11\0\129\37\31\129\11\0\130\14\31\129\11\0",
	72420, "\87\36\129\12\0\87\36\129\11\0\129\38\36\129\11\0\130\15\36\129\11\0",
	74030, "\89\41\129\12\0\89\41\129\11\0\129\40\41\129\11\0\130\17\41\129\11\0",
	75639, "\90\52\129\12\0\90\52\129\11\0\129\41\52\129\11\0\130\18\52\129\11\0",
	77249, "\91\63\129\12\0\91\63\129\11\0\129\42\63\129\11\0\130\19\63\129\11\0",
	78858, "\92\74\129\12\0\92\74\129\11\0\129\43\74\129\11\0\130\20\74\129\11\0",
	80467, "\88\34\129\113\0\88\34\129\89\0\129\39\34\129\89\0\130\16\34\129\89\0",
	82077, "\80\14\129\16\0\80\14\129\15\0\129\31\14\129\15\0\130\8\14\129\15\0",
	83686, "\84\19\129\16\0\84\19\129\15\0\129\35\19\129\15\0\130\12\19\129\15\0",
	85295, "\85\24\129\16\0\85\24\129\15\0\129\36\24\129\15\0\130\13\24\129\15\0",
	86905, "\86\31\129\16\0\86\31\129\15\0\129\37\31\129\15\0\130\14\31\129\15\0",
	88514, "\87\36\129\16\0\87\36\129\15\0\129\38\36\129\15\0\130\15\36\129\15\0",
	90123, "\89\41\129\16\0\89\41\129\15\0\129\40\41\129\15\0\130\17\41\129\15\0",
	91733, "\90\52\129\16\0\90\52\129\15\0\129\41\52\129\15\0\130\18\52\129\15\0",
	93342, "\91\63\129\16\0\91\63\129\15\0\129\42\63\129\15\0\130\19\63\129\15\0",
	94951, "\92\74\129\16\0\92\74\129\15\0\129\43\74\129\15\0\130\20\74\129\15\0",
	96561, "\85\39\129\113\0\85\39\129\89\0\129\36\39\129\89\0\130\13\39\129\89\0",
	98170, "\80\14\129\18\0\80\14\129\17\0\129\31\14\129\17\0\130\8\14\129\17\0",
	99779, "\84\19\129\18\0\84\19\129\17\0\129\35\19\129\17\0\130\12\19\129\17\0",
	101389, "\85\24\129\18\0\85\24\129\17\0\129\36\24\129\17\0\130\13\24\129\17\0",
	102998, "\86\31\129\18\0\86\31\129\17\0\129\37\31\129\17\0\130\14\31\129\17\0",
	104607, "\87\36\129\18\0\87\36\129\17\0\129\38\36\129\17\0\130\15\36\129\17\0",
	106217, "\89\41\129\18\0\89\41\129\17\0\129\40\41\129\17\0\130\17\41\129\17\0",
	107826, "\90\52\129\18\0\90\52\129\17\0\129\41\52\129\17\0\130\18\52\129\17\0",
	109435, "\91\63\129\18\0\91\63\129\17\0\129\42\63\129\17\0\130\19\63\129\17\0",
	111045, "\92\74\129\18\0\92\74\129\17\0\129\43\74\129\17\0\130\20\74\129\17\0",
	112654, "\88\49\0\88\48\0\129\39\48\0\130\16\48\0",
	114263, "\80\14\129\22\0\80\14\129\21\0\129\31\14\129\21\0\130\8\14\129\21\0",
	115873, "\84\19\129\22\0\84\19\129\21\0\129\35\19\129\21\0\130\12\19\129\21\0",
	117482, "\85\24\129\22\0\85\24\129\21\0\129\36\24\129\21\0\130\13\24\129\21\0",
	119091, "\86\31\129\22\0\86\31\129\21\0\129\37\31\129\21\0\130\14\31\129\21\0",
	120701, "\87\36\129\22\0\87\36\129\21\0\129\38\36\129\21\0\130\15\36\129\21\0",
	122310, "\89\41\129\22\0\89\41\129\21\0\129\40\41\129\21\0\130\17\41\129\21\0",
	123919, "\90\52\129\22\0\90\52\129\21\0\129\41\52\129\21\0\130\18\52\129\21\0",
	125529, "\91\63\129\22\0\91\63\129\21\0\129\42\63\129\21\0\130\19\63\129\21\0",
	127138, "\92\74\129\22\0\92\74\129\21\0\129\43\74\129\21\0\130\20\74\129\21\0",
	128748, "\86\60\0\86\59\0\129\37\59\0\130\14\59\0",
	130357, "\80\14\129\26\0\80\14\129\25\0\129\31\14\129\25\0\130\8\14\129\25\0",
	131966, "\84\19\129\26\0\84\19\129\25\0\129\35\19\129\25\0\130\12\19\129\25\0",
	133576, "\85\24\129\26\0\85\24\129\25\0\129\36\24\129\25\0\130\13\24\129\25\0",
	135185, "\86\31\129\26\0\86\31\129\25\0\129\37\31\129\25\0\130\14\31\129\25\0",
	136794, "\87\36\129\26\0\87\36\129\25\0\129\38\36\129\25\0\130\15\36\129\25\0",
	138404, "\89\41\129\26\0\89\41\129\25\0\129\40\41\129\25\0\130\17\41\129\25\0",
	140013, "\90\52\129\26\0\90\52\129\25\0\129\41\52\129\25\0\130\18\52\129\25\0",
	141622, "\91\63\129\26\0\91\63\129\25\0\129\42\63\129\25\0\130\19\63\129\25\0",
	143232, "\92\74\129\26\0\92\74\129\25\0\129\43\74\129\25\0\130\20\74\129\25\0",
	144841, "\77\71\0\77\70\0\78\70\0\79\70\0",
	146450, "\80\14\129\30\0\80\14\129\29\0\129\31\14\129\29\0\130\8\14\129\29\0",
	148060, "\84\19\129\30\0\84\19\129\29\0\129\35\19\129\29\0\130\12\19\129\29\0",
	149669, "\85\24\129\30\0\85\24\129\29\0\129\36\24\129\29\0\130\13\24\129\29\0",
	151278, "\86\31\129\30\0\86\31\129\29\0\129\37\31\129\29\0\130\14\31\129\29\0",
	152888, "\87\36\129\30\0\87\36\129\29\0\129\38\36\129\29\0\130\15\36\129\29\0",
	154497, "\89\41\129\30\0\89\41\129\29\0\129\40\41\129\29\0\130\17\41\129\29\0",
	156106, "\90\52\129\30\0\90\52\129\29\0\129\41\52\129\29\0\130\18\52\129\29\0",
	157716, "\91\63\129\30\0\91\63\129\29\0\129\42\63\129\29\0\130\19\63\129\29\0",
	159325, "\92\74\129\30\0\92\74\129\29\0\129\43\74\129\29\0\130\20\74\129\29\0",
	160934, "\81\129\78\0\81\129\77\0\129\32\129\77\0\130\9\129\77\0",
	177028, "\81\102\129\103\0\81\102\129\79\0\129\32\102\129\79\0\130\9\102\129\79\0",
	193121, "\81\107\0\81\106\0\129\32\106\0\130\9\106\0",
	209215, "\81\114\0\81\113\0\129\32\113\0\130\9\113\0",
	225308, "\81\121\0\81\120\0\129\32\120\0\130\9\120\0",
	241402, "\81\124\129\113\0\81\124\129\89\0\129\32\124\129\89\0\130\9\124\129\89\0",
	257495, "\81\125\129\113\0\81\125\129\89\0\129\32\125\129\89\0\130\9\125\129\89\0",
	273588, "\76\126\49\0\81\126\48\0\129\32\126\48\0\130\9\126\48\0",
	289682, "\76\127\60\0\81\127\59\0\129\32\127\59\0\130\9\127\59\0",
	305775, "\76\129\0\71\0\81\129\0\70\0\129\32\129\0\70\0\130\9\129\0\70\0",
	321869, "\84\18\129\78\0\84\18\129\77\0\129\35\18\129\77\0\130\12\18\129\77\0",
	337962, "\84\18\102\129\103\0\84\18\102\129\79\0\129\35\18\102\129\79\0\130\12\18\102\129\79\0",
	354056, "\84\18\107\0\84\18\106\0\129\35\18\106\0\130\12\18\106\0",
	370149, "\84\18\114\0\84\18\113\0\129\35\18\113\0\130\12\18\113\0",
	386243, "\84\18\121\0\84\18\120\0\129\35\18\120\0\130\12\18\120\0",
	402336, "\84\18\124\129\113\0\84\18\124\129\89\0\129\35\18\124\129\89\0\130\12\18\124\129\89\0",
	418429, "\84\18\125\129\113\0\84\18\125\129\89\0\129\35\18\125\129\89\0\130\12\18\125\129\89\0",
	434523, "\84\18\126\49\0\84\18\126\48\0\129\35\18\126\48\0\130\12\18\126\48\0",
	450616, "\84\18\127\60\0\84\18\127\59\0\129\35\18\127\59\0\130\12\18\127\59\0",
	466710, "\84\18\129\0\71\0\84\18\129\0\70\0\129\35\18\129\0\70\0\130\12\18\129\0\70\0",
	482803, "\85\23\129\78\0\85\23\129\77\0\129\36\23\129\77\0\130\13\23\129\77\0",
	498897, "\85\23\102\129\103\0\85\23\102\129\79\0\129\36\23\102\129\79\0\130\13\23\102\129\79\0",
	514990, "\85\23\107\0\85\23\106\0\129\36\23\106\0\130\13\23\106\0",
	531084, "\85\23\114\0\85\23\113\0\129\36\23\113\0\130\13\23\113\0",
	547177, "\85\23\121\0\85\23\120\0\129\36\23\120\0\130\13\23\120\0",
	563270, "\85\23\124\129\113\0\85\23\124\129\89\0\129\36\23\124\129\89\0\130\13\23\124\129\89\0",
	579364, "\85\23\125\129\113\0\85\23\125\129\89\0\129\36\23\125\129\89\0\130\13\23\125\129\89\0",
	595457, "\85\23\126\49\0\85\23\126\48\0\129\36\23\126\48\0\130\13\23\126\48\0",
	611551, "\85\23\127\60\0\85\23\127\59\0\129\36\23\127\59\0\130\13\23\127\59\0",
	627644, "\85\23\129\0\71\0\85\23\129\0\70\0\129\36\23\129\0\70\0\130\13\23\129\0\70\0",
	643738, "\86\30\129\78\0\86\30\129\77\0\129\37\30\129\77\0\130\14\30\129\77\0",
	659831, "\86\30\102\129\103\0\86\30\102\129\79\0\129\37\30\102\129\79\0\130\14\30\102\129\79\0",
	675924, "\86\30\107\0\86\30\106\0\129\37\30\106\0\130\14\30\106\0",
	692018, "\86\30\114\0\86\30\113\0\129\37\30\113\0\130\14\30\113\0",
	708111, "\86\30\121\0\86\30\120\0\129\37\30\120\0\130\14\30\120\0",
	724205, "\86\30\124\129\113\0\86\30\124\129\89\0\129\37\30\124\129\89\0\130\14\30\124\129\89\0",
	740298, "\86\30\125\129\113\0\86\30\125\129\89\0\129\37\30\125\129\89\0\130\14\30\125\129\89\0",
	756392, "\86\30\126\49\0\86\30\126\48\0\129\37\30\126\48\0\130\14\30\126\48\0",
	772485, "\86\30\127\60\0\86\30\127\59\0\129\37\30\127\59\0\130\14\30\127\59\0",
	788579, "\86\30\129\0\71\0\86\30\129\0\70\0\129\37\30\129\0\70\0\130\14\30\129\0\70\0",
	804672, "\87\35\129\78\0\87\35\129\77\0\129\38\35\129\77\0\130\15\35\129\77\0",
	820765, "\101\35\129\78\0\101\35\129\77\0\129\49\35\129\77\0\130\15\35\129\77\0",
}

distances.yards = {
	9, "\84\130\32\0\84\130\28\0\129\35\130\28\0\130\12\130\28\0",
	18, "\84\17\130\33\0\84\130\29\0\129\35\130\29\0\130\12\130\29\0",
	27, "\85\22\130\34\0\85\22\130\30\0\129\36\22\130\30\0\130\13\22\130\30\0",
	37, "\86\29\130\34\0\86\29\130\30\0\129\37\29\130\30\0\130\14\29\130\30\0",
	46, "\88\34\130\35\0\88\34\130\31\0\129\39\34\130\31\0\130\16\34\130\31\0",
	55, "\85\39\130\35\0\85\39\130\31\0\129\36\39\130\31\0\130\13\39\130\31\0",
	64, "\88\51\0\88\50\0\78\50\0\79\50\0",
	73, "\86\62\0\86\61\0\129\37\61\0\130\14\61\0",
	82, "\88\73\0\88\72\0\78\72\0\79\72\0",
	91, "\81\130\27\0\81\130\26\0\129\32\130\26\0\130\9\130\26\0",
	101, "\81\102\130\32\0\81\102\130\28\0\129\32\102\130\28\0\130\9\102\130\28\0",
	110, "\81\109\0\81\108\0\129\32\108\0\130\9\108\0",
	119, "\81\116\0\81\115\0\129\32\115\0\130\9\115\0",
	128, "\81\123\0\81\122\0\129\32\122\0\130\9\122\0",
	137, "\81\124\130\35\0\81\124\130\31\0\129\32\124\130\31\0\130\9\124\130\31\0",
	146, "\81\125\130\35\0\81\125\130\31\0\129\32\125\130\31\0\130\9\125\130\31\0",
	155, "\81\126\51\0\81\126\50\0\129\32\126\50\0\130\9\126\50\0",
	165, "\81\127\62\0\81\127\61\0\129\32\127\61\0\130\9\127\61\0",
	174, "\81\129\0\73\0\81\129\0\72\0\129\32\129\0\72\0\130\9\129\0\72\0",
	183, "\84\18\130\27\0\84\18\130\26\0\129\35\18\130\26\0\130\12\18\130\26\0",
	192, "\84\18\102\130\32\0\84\18\102\130\28\0\129\35\18\102\130\28\0\130\12\18\102\130\28\0",
	201, "\84\18\109\0\84\18\108\0\129\35\18\108\0\130\12\18\108\0",
	210, "\84\18\116\0\84\18\115\0\129\35\18\115\0\130\12\18\115\0",
	219, "\84\18\123\0\84\18\122\0\129\35\18\122\0\130\12\18\122\0",
	229, "\84\18\124\130\35\0\84\18\124\130\31\0\129\35\18\124\130\31\0\130\12\18\124\130\31\0",
	238, "\84\18\125\130\35\0\84\18\125\130\31\0\129\35\18\125\130\31\0\130\12\18\125\130\31\0",
	247, "\84\18\126\51\0\84\18\126\50\0\129\35\18\126\50\0\130\12\18\126\50\0",
	256, "\84\18\127\62\0\84\18\127\61\0\129\35\18\127\61\0\130\12\18\127\61\0",
	265, "\84\18\129\0\73\0\84\18\129\0\72\0\129\35\18\129\0\72\0\130\12\18\129\0\72\0",
	274, "\85\23\130\27\0\85\23\130\26\0\129\36\23\130\26\0\130\13\23\130\26\0",
	283, "\85\23\102\130\32\0\85\23\102\130\28\0\129\36\23\102\130\28\0\130\13\23\102\130\28\0",
	293, "\85\23\109\0\85\23\108\0\129\36\23\108\0\130\13\23\108\0",
	302, "\85\23\116\0\85\23\115\0\129\36\23\115\0\130\13\23\115\0",
	311, "\85\23\123\0\85\23\122\0\129\36\23\122\0\130\13\23\122\0",
	320, "\85\23\124\130\35\0\85\23\124\130\31\0\129\36\23\124\130\31\0\130\13\23\124\130\31\0",
	329, "\85\23\125\130\35\0\85\23\125\130\31\0\129\36\23\125\130\31\0\130\13\23\125\130\31\0",
	338, "\85\23\126\51\0\85\23\126\50\0\129\36\23\126\50\0\130\13\23\126\50\0",
	347, "\85\23\127\62\0\85\23\127\61\0\129\36\23\127\61\0\130\13\23\127\61\0",
	357, "\85\23\129\0\73\0\85\23\129\0\72\0\129\36\23\129\0\72\0\130\13\23\129\0\72\0",
	366, "\86\30\130\27\0\86\30\130\26\0\129\37\30\130\26\0\130\14\30\130\26\0",
	402, "\98\0\97\0\129\47\0\130\24\0",
	644, "\94\129\121\0\94\129\97\0\129\45\129\97\0\130\22\129\97\0",
	805, "\100\0\99\0\129\48\0\130\25\0",
	966, "\94\129\123\0\94\129\99\0\129\45\129\99\0\130\22\129\99\0",
	1127, "\93\27\0\93\26\0\129\44\26\0\130\21\26\0",
	1448, "\94\129\126\0\94\129\102\0\129\45\129\102\0\130\22\129\102\0",
	1609, "\96\0\95\0\129\46\0\130\23\0",
	1770, "\80\15\129\118\0\80\15\129\94\0\129\31\15\129\94\0\130\8\15\129\94\0",
	1931, "\80\15\129\119\0\80\15\129\95\0\129\31\15\129\95\0\130\8\15\129\95\0",
	2092, "\80\15\129\120\0\80\15\129\96\0\129\31\15\129\96\0\130\8\15\129\96\0",
	2253, "\80\15\129\121\0\80\15\129\97\0\129\31\15\129\97\0\130\8\15\129\97\0",
	2414, "\80\15\129\122\0\80\15\129\98\0\129\31\15\129\98\0\130\8\15\129\98\0",
	2575, "\80\15\129\123\0\80\15\129\99\0\129\31\15\129\99\0\130\8\15\129\99\0",
	2736, "\80\15\129\124\0\80\15\129\100\0\129\31\15\129\100\0\130\8\15\129\100\0",
	2897, "\80\15\129\125\0\80\15\129\101\0\129\31\15\129\101\0\130\8\15\129\101\0",
	3058, "\80\15\129\126\0\80\15\129\102\0\129\31\15\129\102\0\130\8\15\129\102\0",
	3219, "\84\129\107\0\84\129\83\0\129\35\129\83\0\130\12\129\83\0",
	3380, "\84\20\129\118\0\84\20\129\94\0\129\35\20\129\94\0\130\12\20\129\94\0",
	3541, "\84\20\129\119\0\84\20\129\95\0\129\35\20\129\95\0\130\12\20\129\95\0",
	3701, "\84\20\129\120\0\84\20\129\96\0\129\35\20\129\96\0\130\12\20\129\96\0",
	3862, "\84\20\129\121\0\84\20\129\97\0\129\35\20\129\97\0\130\12\20\129\97\0",
	4023, "\84\20\129\122\0\84\20\129\98\0\129\35\20\129\98\0\130\12\20\129\98\0",
	4184, "\84\20\129\123\0\84\20\129\99\0\129\35\20\129\99\0\130\12\20\129\99\0",
	4345, "\84\20\129\124\0\84\20\129\100\0\129\35\20\129\100\0\130\12\20\129\100\0",
	4506, "\84\20\129\125\0\84\20\129\101\0\129\35\20\129\101\0\130\12\20\129\101\0",
	4667, "\84\20\129\126\0\84\20\129\102\0\129\35\20\129\102\0\130\12\20\129\102\0",
	4828, "\85\129\109\0\85\129\85\0\129\36\129\85\0\130\13\129\85\0",
	4989, "\85\25\129\118\0\85\25\129\94\0\129\36\25\129\94\0\130\13\25\129\94\0",
	5150, "\85\25\129\119\0\85\25\129\95\0\129\36\25\129\95\0\130\13\25\129\95\0",
	5311, "\85\25\129\120\0\85\25\129\96\0\129\36\25\129\96\0\130\13\25\129\96\0",
	5472, "\85\25\129\121\0\85\25\129\97\0\129\36\25\129\97\0\130\13\25\129\97\0",
	5633, "\85\25\129\122\0\85\25\129\98\0\129\36\25\129\98\0\130\13\25\129\98\0",
	5794, "\85\25\129\123\0\85\25\129\99\0\129\36\25\129\99\0\130\13\25\129\99\0",
	5955, "\85\25\129\124\0\85\25\129\100\0\129\36\25\129\100\0\130\13\25\129\100\0",
	6116, "\85\25\129\125\0\85\25\129\101\0\129\36\25\129\101\0\130\13\25\129\101\0",
	6276, "\85\25\129\126\0\85\25\129\102\0\129\36\25\129\102\0\130\13\25\129\102\0",
	6437, "\86\129\111\0\86\129\87\0\129\37\129\87\0\130\14\129\87\0",
	6598, "\86\32\129\118\0\86\32\129\94\0\129\37\32\129\94\0\130\14\32\129\94\0",
	6759, "\86\32\129\119\0\86\32\129\95\0\129\37\32\129\95\0\130\14\32\129\95\0",
	6920, "\86\32\129\120\0\86\32\129\96\0\129\37\32\129\96\0\130\14\32\129\96\0",
	7081, "\86\32\129\121\0\86\32\129\97\0\129\37\32\129\97\0\130\14\32\129\97\0",
	7242, "\86\32\129\122\0\86\32\129\98\0\129\37\32\129\98\0\130\14\32\129\98\0",
	7403, "\86\32\129\123\0\86\32\129\99\0\129\37\32\129\99\0\130\14\32\129\99\0",
	7564, "\86\32\129\124\0\86\32\129\100\0\129\37\32\129\100\0\130\14\32\129\100\0",
	7725, "\86\32\129\125\0\86\32\129\101\0\129\37\32\129\101\0\130\14\32\129\101\0",
	7886, "\86\32\129\126\0\86\32\129\102\0\129\37\32\129\102\0\130\14\32\129\102\0",
	8047, "\87\129\112\0\87\129\88\0\129\38\129\88\0\130\15\129\88\0",
	8208, "\87\37\129\118\0\87\37\129\94\0\129\38\37\129\94\0\130\15\37\129\94\0",
	8369, "\87\37\129\119\0\87\37\129\95\0\129\38\37\129\95\0\130\15\37\129\95\0",
	8530, "\87\37\129\120\0\87\37\129\96\0\129\38\37\129\96\0\130\15\37\129\96\0",
	8690, "\87\37\129\121\0\87\37\129\97\0\129\38\37\129\97\0\130\15\37\129\97\0",
	8851, "\87\37\129\122\0\87\37\129\98\0\129\38\37\129\98\0\130\15\37\129\98\0",
	9012, "\87\37\129\123\0\87\37\129\99\0\129\38\37\129\99\0\130\15\37\129\99\0",
	9173, "\87\37\129\124\0\87\37\129\100\0\129\38\37\129\100\0\130\15\37\129\100\0",
	9334, "\87\37\129\125\0\87\37\129\101\0\129\38\37\129\101\0\130\15\37\129\101\0",
	9495, "\87\37\129\126\0\87\37\129\102\0\129\38\37\129\102\0\130\15\37\129\102\0",
	9656, "\89\129\114\0\89\129\90\0\129\40\129\90\0\130\17\129\90\0",
	9817, "\89\42\129\118\0\89\42\129\94\0\129\40\42\129\94\0\130\17\42\129\94\0",
	9978, "\89\42\129\119\0\89\42\129\95\0\129\40\42\129\95\0\130\17\42\129\95\0",
	10139, "\89\42\129\120\0\89\42\129\96\0\129\40\42\129\96\0\130\17\42\129\96\0",
	10300, "\89\42\129\121\0\89\42\129\97\0\129\40\42\129\97\0\130\17\42\129\97\0",
	10461, "\89\42\129\122\0\89\42\129\98\0\129\40\42\129\98\0\130\17\42\129\98\0",
	10622, "\89\42\129\123\0\89\42\129\99\0\129\40\42\129\99\0\130\17\42\129\99\0",
	10783, "\89\42\129\124\0\89\42\129\100\0\129\40\42\129\100\0\130\17\42\129\100\0",
	10944, "\89\42\129\125\0\89\42\129\101\0\129\40\42\129\101\0\130\17\42\129\101\0",
	11104, "\89\42\129\126\0\89\42\129\102\0\129\40\42\129\102\0\130\17\42\129\102\0",
	11265, "\90\129\115\0\90\129\91\0\129\41\129\91\0\130\18\129\91\0",
	11426, "\90\53\129\118\0\90\53\129\94\0\129\41\53\129\94\0\130\18\53\129\94\0",
	11587, "\90\53\129\119\0\90\53\129\95\0\129\41\53\129\95\0\130\18\53\129\95\0",
	11748, "\90\53\129\120\0\90\53\129\96\0\129\41\53\129\96\0\130\18\53\129\96\0",
	11909, "\90\53\129\121\0\90\53\129\97\0\129\41\53\129\97\0\130\18\53\129\97\0",
	12070, "\90\53\129\122\0\90\53\129\98\0\129\41\53\129\98\0\130\18\53\129\98\0",
	12231, "\90\53\129\123\0\90\53\129\99\0\129\41\53\129\99\0\130\18\53\129\99\0",
	12392, "\90\53\129\124\0\90\53\129\100\0\129\41\53\129\100\0\130\18\53\129\100\0",
	12553, "\90\53\129\125\0\90\53\129\101\0\129\41\53\129\101\0\130\18\53\129\101\0",
	12714, "\90\53\129\126\0\90\53\129\102\0\129\41\53\129\102\0\130\18\53\129\102\0",
	12875, "\91\129\116\0\91\129\92\0\129\42\129\92\0\130\19\129\92\0",
	13036, "\91\64\129\118\0\91\64\129\94\0\129\42\64\129\94\0\130\19\64\129\94\0",
	13197, "\91\64\129\119\0\91\64\129\95\0\129\42\64\129\95\0\130\19\64\129\95\0",
	13358, "\91\64\129\120\0\91\64\129\96\0\129\42\64\129\96\0\130\19\64\129\96\0",
	13518, "\91\64\129\121\0\91\64\129\97\0\129\42\64\129\97\0\130\19\64\129\97\0",
	13679, "\91\64\129\122\0\91\64\129\98\0\129\42\64\129\98\0\130\19\64\129\98\0",
	13840, "\91\64\129\123\0\91\64\129\99\0\129\42\64\129\99\0\130\19\64\129\99\0",
	14001, "\91\64\129\124\0\91\64\129\100\0\129\42\64\129\100\0\130\19\64\129\100\0",
	14162, "\91\64\129\125\0\91\64\129\101\0\129\42\64\129\101\0\130\19\64\129\101\0",
	14323, "\91\64\129\126\0\91\64\129\102\0\129\42\64\129\102\0\130\19\64\129\102\0",
	14484, "\92\129\117\0\92\129\93\0\129\43\129\93\0\130\20\129\93\0",
	14645, "\92\75\129\118\0\92\75\129\94\0\129\43\75\129\94\0\130\20\75\129\94\0",
	14806, "\92\75\129\119\0\92\75\129\95\0\129\43\75\129\95\0\130\20\75\129\95\0",
	14967, "\92\75\129\120\0\92\75\129\96\0\129\43\75\129\96\0\130\20\75\129\96\0",
	15128, "\92\75\129\121\0\92\75\129\97\0\129\43\75\129\97\0\130\20\75\129\97\0",
	15289, "\92\75\129\122\0\92\75\129\98\0\129\43\75\129\98\0\130\20\75\129\98\0",
	15450, "\92\75\129\123\0\92\75\129\99\0\129\43\75\129\99\0\130\20\75\129\99\0",
	15611, "\92\75\129\124\0\92\75\129\100\0\129\43\75\129\100\0\130\20\75\129\100\0",
	15772, "\92\75\129\125\0\92\75\129\101\0\129\43\75\129\101\0\130\20\75\129\101\0",
	15933, "\92\75\129\126\0\92\75\129\102\0\129\43\75\129\102\0\130\20\75\129\102\0",
	16093, "\84\129\103\0\84\129\79\0\129\35\129\79\0\130\12\129\79\0",
	17703, "\82\129\104\0\82\129\80\0\129\33\129\80\0\130\10\129\80\0",
	19312, "\84\129\105\0\84\129\81\0\129\35\129\81\0\130\12\129\81\0",
	20921, "\85\7\129\106\0\85\7\129\82\0\129\36\7\129\82\0\130\13\7\129\82\0",
	22531, "\86\8\129\106\0\86\8\129\82\0\129\37\8\129\82\0\130\14\8\129\82\0",
	24140, "\87\9\129\106\0\87\9\129\82\0\129\38\9\129\82\0\130\15\9\129\82\0",
	25750, "\89\10\129\106\0\89\10\129\82\0\129\40\10\129\82\0\130\17\10\129\82\0",
	27359, "\90\11\129\106\0\90\11\129\82\0\129\41\11\129\82\0\130\18\11\129\82\0",
	28968, "\83\12\129\106\0\83\12\129\82\0\129\34\12\129\82\0\130\11\12\129\82\0",
	30578, "\92\13\129\106\0\92\13\129\82\0\129\43\13\129\82\0\130\20\13\129\82\0",
	32187, "\84\17\129\108\0\84\129\84\0\129\35\129\84\0\130\12\129\84\0",
	33796, "\80\14\129\4\0\80\14\129\3\0\129\31\14\129\3\0\130\8\14\129\3\0",
	35406, "\84\19\129\4\0\84\19\129\3\0\129\35\19\129\3\0\130\12\19\129\3\0",
	37015, "\85\24\129\4\0\85\24\129\3\0\129\36\24\129\3\0\130\13\24\129\3\0",
	38624, "\86\31\129\4\0\86\31\129\3\0\129\37\31\129\3\0\130\14\31\129\3\0",
	40234, "\87\36\129\4\0\87\36\129\3\0\129\38\36\129\3\0\130\15\36\129\3\0",
	41843, "\89\41\129\4\0\89\41\129\3\0\129\40\41\129\3\0\130\17\41\129\3\0",
	43452, "\90\52\129\4\0\90\52\129\3\0\129\41\52\129\3\0\130\18\52\129\3\0",
	45062, "\91\63\129\4\0\91\63\129\3\0\129\42\63\129\3\0\130\19\63\129\3\0",
	46671, "\92\74\129\4\0\92\74\129\3\0\129\43\74\129\3\0\130\20\74\129\3\0",
	48280, "\85\22\129\110\0\85\22\129\86\0\129\36\22\129\86\0\130\13\22\129\86\0",
	49890, "\80\14\129\8\0\80\14\129\7\0\129\31\14\129\7\0\130\8\14\129\7\0",
	51499, "\84\19\129\8\0\84\19\129\7\0\129\35\19\129\7\0\130\12\19\129\7\0",
	53108, "\85\24\129\8\0\85\24\129\7\0\129\36\24\129\7\0\130\13\24\129\7\0",
	54718, "\86\31\129\8\0\86\31\129\7\0\129\37\31\129\7\0\130\14\31\129\7\0",
	56327, "\87\36\129\8\0\87\36\129\7\0\129\38\36\129\7\0\130\15\36\129\7\0",
	57936, "\89\41\129\8\0\89\41\129\7\0\129\40\41\129\7\0\130\17\41\129\7\0",
	59546, "\90\52\129\8\0\90\52\129\7\0\129\41\52\129\7\0\130\18\52\129\7\0",
	61155, "\91\63\129\8\0\91\63\129\7\0\129\42\63\129\7\0\130\19\63\129\7\0",
	62764, "\92\74\129\8\0\92\74\129\7\0\129\43\74\129\7\0\130\20\74\129\7\0",
	64374, "\86\29\129\110\0\86\29\129\86\0\129\37\29\129\86\0\130\14\29\129\86\0",
	65983, "\80\14\129\12\0\80\14\129\11\0\129\31\14\129\11\0\130\8\14\129\11\0",
	67592, "\84\19\129\12\0\84\19\129\11\0\129\35\19\129\11\0\130\12\19\129\11\0",
	69202, "\85\24\129\12\0\85\24\129\11\0\129\36\24\129\11\0\130\13\24\129\11\0",
	70811, "\86\31\129\12\0\86\31\129\11\0\129\37\31\129\11\0\130\14\31\129\11\0",
	72420, "\87\36\129\12\0\87\36\129\11\0\129\38\36\129\11\0\130\15\36\129\11\0",
	74030, "\89\41\129\12\0\89\41\129\11\0\129\40\41\129\11\0\130\17\41\129\11\0",
	75639, "\90\52\129\12\0\90\52\129\11\0\129\41\52\129\11\0\130\18\52\129\11\0",
	77249, "\91\63\129\12\0\91\63\129\11\0\129\42\63\129\11\0\130\19\63\129\11\0",
	78858, "\92\74\129\12\0\92\74\129\11\0\129\43\74\129\11\0\130\20\74\129\11\0",
	80467, "\88\34\129\113\0\88\34\129\89\0\129\39\34\129\89\0\130\16\34\129\89\0",
	82077, "\80\14\129\16\0\80\14\129\15\0\129\31\14\129\15\0\130\8\14\129\15\0",
	83686, "\84\19\129\16\0\84\19\129\15\0\129\35\19\129\15\0\130\12\19\129\15\0",
	85295, "\85\24\129\16\0\85\24\129\15\0\129\36\24\129\15\0\130\13\24\129\15\0",
	86905, "\86\31\129\16\0\86\31\129\15\0\129\37\31\129\15\0\130\14\31\129\15\0",
	88514, "\87\36\129\16\0\87\36\129\15\0\129\38\36\129\15\0\130\15\36\129\15\0",
	90123, "\89\41\129\16\0\89\41\129\15\0\129\40\41\129\15\0\130\17\41\129\15\0",
	91733, "\90\52\129\16\0\90\52\129\15\0\129\41\52\129\15\0\130\18\52\129\15\0",
	93342, "\91\63\129\16\0\91\63\129\15\0\129\42\63\129\15\0\130\19\63\129\15\0",
	94951, "\92\74\129\16\0\92\74\129\15\0\129\43\74\129\15\0\130\20\74\129\15\0",
	96561, "\85\39\129\113\0\85\39\129\89\0\129\36\39\129\89\0\130\13\39\129\89\0",
	98170, "\80\14\129\18\0\80\14\129\17\0\129\31\14\129\17\0\130\8\14\129\17\0",
	99779, "\84\19\129\18\0\84\19\129\17\0\129\35\19\129\17\0\130\12\19\129\17\0",
	101389, "\85\24\129\18\0\85\24\129\17\0\129\36\24\129\17\0\130\13\24\129\17\0",
	102998, "\86\31\129\18\0\86\31\129\17\0\129\37\31\129\17\0\130\14\31\129\17\0",
	104607, "\87\36\129\18\0\87\36\129\17\0\129\38\36\129\17\0\130\15\36\129\17\0",
	106217, "\89\41\129\18\0\89\41\129\17\0\129\40\41\129\17\0\130\17\41\129\17\0",
	107826, "\90\52\129\18\0\90\52\129\17\0\129\41\52\129\17\0\130\18\52\129\17\0",
	109435, "\91\63\129\18\0\91\63\129\17\0\129\42\63\129\17\0\130\19\63\129\17\0",
	111045, "\92\74\129\18\0\92\74\129\17\0\129\43\74\129\17\0\130\20\74\129\17\0",
	112654, "\88\49\0\88\48\0\129\39\48\0\130\16\48\0",
	114263, "\80\14\129\22\0\80\14\129\21\0\129\31\14\129\21\0\130\8\14\129\21\0",
	115873, "\84\19\129\22\0\84\19\129\21\0\129\35\19\129\21\0\130\12\19\129\21\0",
	117482, "\85\24\129\22\0\85\24\129\21\0\129\36\24\129\21\0\130\13\24\129\21\0",
	119091, "\86\31\129\22\0\86\31\129\21\0\129\37\31\129\21\0\130\14\31\129\21\0",
	120701, "\87\36\129\22\0\87\36\129\21\0\129\38\36\129\21\0\130\15\36\129\21\0",
	122310, "\89\41\129\22\0\89\41\129\21\0\129\40\41\129\21\0\130\17\41\129\21\0",
	123919, "\90\52\129\22\0\90\52\129\21\0\129\41\52\129\21\0\130\18\52\129\21\0",
	125529, "\91\63\129\22\0\91\63\129\21\0\129\42\63\129\21\0\130\19\63\129\21\0",
	127138, "\92\74\129\22\0\92\74\129\21\0\129\43\74\129\21\0\130\20\74\129\21\0",
	128748, "\86\60\0\86\59\0\129\37\59\0\130\14\59\0",
	130357, "\80\14\129\26\0\80\14\129\25\0\129\31\14\129\25\0\130\8\14\129\25\0",
	131966, "\84\19\129\26\0\84\19\129\25\0\129\35\19\129\25\0\130\12\19\129\25\0",
	133576, "\85\24\129\26\0\85\24\129\25\0\129\36\24\129\25\0\130\13\24\129\25\0",
	135185, "\86\31\129\26\0\86\31\129\25\0\129\37\31\129\25\0\130\14\31\129\25\0",
	136794, "\87\36\129\26\0\87\36\129\25\0\129\38\36\129\25\0\130\15\36\129\25\0",
	138404, "\89\41\129\26\0\89\41\129\25\0\129\40\41\129\25\0\130\17\41\129\25\0",
	140013, "\90\52\129\26\0\90\52\129\25\0\129\41\52\129\25\0\130\18\52\129\25\0",
	141622, "\91\63\129\26\0\91\63\129\25\0\129\42\63\129\25\0\130\19\63\129\25\0",
	143232, "\92\74\129\26\0\92\74\129\25\0\129\43\74\129\25\0\130\20\74\129\25\0",
	144841, "\77\71\0\77\70\0\78\70\0\79\70\0",
	146450, "\80\14\129\30\0\80\14\129\29\0\129\31\14\129\29\0\130\8\14\129\29\0",
	148060, "\84\19\129\30\0\84\19\129\29\0\129\35\19\129\29\0\130\12\19\129\29\0",
	149669, "\85\24\129\30\0\85\24\129\29\0\129\36\24\129\29\0\130\13\24\129\29\0",
	151278, "\86\31\129\30\0\86\31\129\29\0\129\37\31\129\29\0\130\14\31\129\29\0",
	152888, "\87\36\129\30\0\87\36\129\29\0\129\38\36\129\29\0\130\15\36\129\29\0",
	154497, "\89\41\129\30\0\89\41\129\29\0\129\40\41\129\29\0\130\17\41\129\29\0",
	156106, "\90\52\129\30\0\90\52\129\29\0\129\41\52\129\29\0\130\18\52\129\29\0",
	157716, "\91\63\129\30\0\91\63\129\29\0\129\42\63\129\29\0\130\19\63\129\29\0",
	159325, "\92\74\129\30\0\92\74\129\29\0\129\43\74\129\29\0\130\20\74\129\29\0",
	160934, "\81\129\78\0\81\129\77\0\129\32\129\77\0\130\9\129\77\0",
	177028, "\81\102\129\103\0\81\102\129\79\0\129\32\102\129\79\0\130\9\102\129\79\0",
	193121, "\81\107\0\81\106\0\129\32\106\0\130\9\106\0",
	209215, "\81\114\0\81\113\0\129\32\113\0\130\9\113\0",
	225308, "\81\121\0\81\120\0\129\32\120\0\130\9\120\0",
	241402, "\81\124\129\113\0\81\124\129\89\0\129\32\124\129\89\0\130\9\124\129\89\0",
	257495, "\81\125\129\113\0\81\125\129\89\0\129\32\125\129\89\0\130\9\125\129\89\0",
	273588, "\76\126\49\0\81\126\48\0\129\32\126\48\0\130\9\126\48\0",
	289682, "\76\127\60\0\81\127\59\0\129\32\127\59\0\130\9\127\59\0",
	305775, "\76\129\0\71\0\81\129\0\70\0\129\32\129\0\70\0\130\9\129\0\70\0",
	321869, "\84\18\129\78\0\84\18\129\77\0\129\35\18\129\77\0\130\12\18\129\77\0",
	337962, "\84\18\102\129\103\0\84\18\102\129\79\0\129\35\18\102\129\79\0\130\12\18\102\129\79\0",
	354056, "\84\18\107\0\84\18\106\0\129\35\18\106\0\130\12\18\106\0",
	370149, "\84\18\114\0\84\18\113\0\129\35\18\113\0\130\12\18\113\0",
	386243, "\84\18\121\0\84\18\120\0\129\35\18\120\0\130\12\18\120\0",
	402336, "\84\18\124\129\113\0\84\18\124\129\89\0\129\35\18\124\129\89\0\130\12\18\124\129\89\0",
	418429, "\84\18\125\129\113\0\84\18\125\129\89\0\129\35\18\125\129\89\0\130\12\18\125\129\89\0",
	434523, "\84\18\126\49\0\84\18\126\48\0\129\35\18\126\48\0\130\12\18\126\48\0",
	450616, "\84\18\127\60\0\84\18\127\59\0\129\35\18\127\59\0\130\12\18\127\59\0",
	466710, "\84\18\129\0\71\0\84\18\129\0\70\0\129\35\18\129\0\70\0\130\12\18\129\0\70\0",
	482803, "\85\23\129\78\0\85\23\129\77\0\129\36\23\129\77\0\130\13\23\129\77\0",
	498897, "\85\23\102\129\103\0\85\23\102\129\79\0\129\36\23\102\129\79\0\130\13\23\102\129\79\0",
	514990, "\85\23\107\0\85\23\106\0\129\36\23\106\0\130\13\23\106\0",
	531084, "\85\23\114\0\85\23\113\0\129\36\23\113\0\130\13\23\113\0",
	547177, "\85\23\121\0\85\23\120\0\129\36\23\120\0\130\13\23\120\0",
	563270, "\85\23\124\129\113\0\85\23\124\129\89\0\129\36\23\124\129\89\0\130\13\23\124\129\89\0",
	579364, "\85\23\125\129\113\0\85\23\125\129\89\0\129\36\23\125\129\89\0\130\13\23\125\129\89\0",
	595457, "\85\23\126\49\0\85\23\126\48\0\129\36\23\126\48\0\130\13\23\126\48\0",
	611551, "\85\23\127\60\0\85\23\127\59\0\129\36\23\127\59\0\130\13\23\127\59\0",
	627644, "\85\23\129\0\71\0\85\23\129\0\70\0\129\36\23\129\0\70\0\130\13\23\129\0\70\0",
	643738, "\86\30\129\78\0\86\30\129\77\0\129\37\30\129\77\0\130\14\30\129\77\0",
	659831, "\86\30\102\129\103\0\86\30\102\129\79\0\129\37\30\102\129\79\0\130\14\30\102\129\79\0",
	675924, "\86\30\107\0\86\30\106\0\129\37\30\106\0\130\14\30\106\0",
	692018, "\86\30\114\0\86\30\113\0\129\37\30\113\0\130\14\30\113\0",
	708111, "\86\30\121\0\86\30\120\0\129\37\30\120\0\130\14\30\120\0",
	724205, "\86\30\124\129\113\0\86\30\124\129\89\0\129\37\30\124\129\89\0\130\14\30\124\129\89\0",
	740298, "\86\30\125\129\113\0\86\30\125\129\89\0\129\37\30\125\129\89\0\130\14\30\125\129\89\0",
	756392, "\86\30\126\49\0\86\30\126\48\0\129\37\30\126\48\0\130\14\30\126\48\0",
	772485, "\86\30\127\60\0\86\30\127\59\0\129\37\30\127\59\0\130\14\30\127\59\0",
	788579, "\86\30\129\0\71\0\86\30\129\0\70\0\129\37\30\129\0\70\0\130\14\30\129\0\70\0",
	804672, "\87\35\129\78\0\87\35\129\77\0\129\38\35\129\77\0\130\15\35\129\77\0",
	820765, "\101\35\129\78\0\101\35\129\77\0\129\49\35\129\77\0\130\15\35\129\77\0",
}

ordinals = {
	{L"1st", L"1stb", L"1stc"},
	{L"2nd", L"2ndb", L"2ndc"},
	{L"3rd", L"3rdb", L"3rdc"},
	{L"4th", L"4thb", L"4thc"},
	{L"5th", L"5thb", L"5thc"},
	{L"6th", L"6thb", L"6thc"},
	{L"7th", nil, L"7thc"},
	{L"8th", nil, L"8thc"},
	{L"9th", nil, L"9thc"},
	{nil, nil, L"10thc"},
	{nil, nil, L"11thc"},
	{nil, nil, L"12thc"},
	{nil, nil, L"13thc"},
	{nil, nil, L"14thc"},
	{nil, nil, L"15thc"},
	{nil, nil, L"16thc"},
	{nil, nil, L"17thc"},
	{nil, nil, L"18thc"},
	{nil, nil, L"19thc"},
	{nil, nil, L"20thc"},
}

